#
# spec file for package openstack-designate-doc
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define component designate

%define version_unconverted 7.0.1.dev10

Name:           openstack-%{component}-doc
Version:        7.0.1~dev10
Release:        353.1
Summary:        OpenStack DNS Service (Designate)
License:        Apache-2.0
Group:          Documentation/HTML
Url:            https://github.com/openstack/designate
Source:         http://tarballs.openstack.org/designate/designate-stable-rocky.tar.gz
BuildRequires:  openstack-suse-macros
BuildRequires:  python-Babel
BuildRequires:  python-Sphinx
BuildRequires:  python-designate
BuildRequires:  python-devel
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-oslo.policy
BuildRequires:  python-oslosphinx
BuildRequires:  python-psutil
BuildRequires:  python-sphinxcontrib-blockdiag
BuildRequires:  python-sphinxcontrib-httpdomain
BuildRequires:  python-suds-jurko
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Designate is an OpenStack inspired DNSaaS.

This package contains documentation files for openstack-designate.

%prep
%setup -q -n %{component}-%{version_unconverted}
%openstack_cleanup_prep
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
sphinx-build doc/source doc/build/html
rm doc/build/html/.buildinfo # Remove unneeded files

%install

%files
%defattr(-,root,root,-)
%doc LICENSE doc/build/html

%changelog
* Tue Mar 26 2019 cloud-devel@suse.de
- Update to version designate-7.0.1.dev10:
  * Replace openstack.org git:// URLs with https://
* Fri Mar 15 2019 cloud-devel@suse.de
- Update to version designate-7.0.1.dev9:
  * Allow non localhost connections to pdns api
* Wed Mar 13 2019 cloud-devel@suse.de
- Update to version designate-7.0.1.dev8:
  * Use openstack-single-node-bionic nodeset
* Tue Oct 16 2018 cloud-devel@suse.de
- Update to version designate-7.0.1.dev7:
  * Make update\_status use synchronized\_zone
  7.0.0
* Wed Oct 10 2018 johannes.grassler@suse.com
- Fixed doc build
* Fri Aug 31 2018 kwu@suse.com
- switch to stable/rocky branch
* Fri Aug 31 2018 cloud-devel@suse.de
- Update to version designate-7.0.1.dev15:
  * Update link tags in README
  * Remove install-guide-jobs
  * Update links in README
  7.0.0
  * Simplify olso.log setup
  * Removed deprecated managed option in notification handler
* Wed Aug 29 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0rc2.dev8:
  * switch documentation job to new PTI
* Tue Aug 21 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0rc2.dev6:
  * import zuul job settings from project-config
  * Removing removed bandit plugins to fix gate
  * Make update\_status use synchronized\_zone
* Mon Aug 20 2018 nicolas.bock@suse.com
- Update to version designate-7.0.0.0rc2.dev6:
  * import zuul job settings from project-config
  * Removing removed bandit plugins to fix gate
  * Make update\_status use synchronized\_zone
* Mon Aug 13 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0rc2.dev2:
  * Imported Translations from Zanata
* Sat Aug 11 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0rc2.dev1:
  * Update reno for stable/rocky
  7.0.0.0rc1
* Fri Aug 10 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0b4.dev3:
  * Imported Translations from Zanata
* Wed Aug  8 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0b4.dev2:
  * Change Bad Action from a traceback into a warning
  7.0.0.0b3
* Mon Jul 30 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0b3.dev30:
  * Enable mutable config in designate
* Tue Jul 24 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0b3.dev29:
  * Reenable py3.6 tempest jobs + add py36 tox
  * Replace use of os.errno.\* with errno.\*
  * Replace StopIteration with return for PEP 0479
  * Remove testrepository
* Fri Jul 20 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0b3.dev21:
  * Set py36 gate non voting
* Wed Jul 11 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0b3.dev20:
  * Replace testr to stestr
  * Added CONTRIBUTING.rst file to the project
  * Don't run tempest jobs when patching releasenote
  * Allow newer versions of Flask
  * Use listener pools in designate-sink
  * Fix systemctl command in Ubuntu installation guide
* Wed Jun 27 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0b3.dev10:
  * Init config before service start
* Tue Jun 19 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0b3.dev9:
  * Imported Translations from Zanata
  * Switch to oslo\_messaging.ConfFixture.transport\_url
* Fri Jun 15 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0b3.dev6:
  * Document --record instead of --records
  * [Docs] Fix the incorrect designate service name
  * Add unique constraint to service\_statuses
* Sat Jun  9 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0b3.dev2:
  7.0.0.0b2
  * fix a typo in code
  * Ensure the old files before build
* Fri Jun  8 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0b2.dev12:
  * fix tox python3 overrides
* Tue Jun  5 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0b2.dev11:
  * Switch to using stestr
* Wed May 30 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0b2.dev10:
  * Allow to check pep8 along with D000
  * Replace Chinese punctuation with English punctuation
* Fri May 18 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0b2.dev7:
  * Fix contents render for notification.rst
* Thu May 17 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0b2.dev6:
  * Start replacing designate legacy jobs
  * Make Neutron integration job voting
* Wed May 16 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0b2.dev3:
  * Change copyright information for field.py
* Thu May 10 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0b2.dev2:
  * Add release notes link to README
* Tue Apr 24 2018 cloud-devel@suse.de
- Update to version designate-7.0.0.0b2.dev1:
  * fix a typo: s/extention/extension
  7.0.0.0b1
* Wed Apr 18 2018 cloud-devel@suse.de
- Update to version designate-6.0.1.dev68:
  * Move pep8 checks to py3 by default
* Tue Apr 17 2018 cloud-devel@suse.de
- Update to version designate-6.0.1.dev66:
  * uncap eventlet
* Sat Apr 14 2018 cloud-devel@suse.de
- Update to version designate-6.0.1.dev64:
  * Ensure we do not pass invalid data for A records
  * Update auth\_uri option to www\_authenticate\_uri
  * Replace deprecated LOG.warn with LOG.warning
* Wed Mar 28 2018 cloud-devel@suse.de
- Update to version designate-6.0.1.dev60:
  * Follow the new PTI for document build
  * Updated from global requirements
* Tue Mar 27 2018 cloud-devel@suse.de
- Update to version designate-6.0.1.dev58:
  * add lower-constraints job
  * Updated from global requirements
* Wed Mar 21 2018 cloud-devel@suse.de
- Update to version designate-6.0.1.dev56:
  * Remove translation of log messages
* Sat Mar 17 2018 cloud-devel@suse.de
- Update to version designate-6.0.1.dev54:
  * Fix policy name
  * Updated from global requirements
* Fri Mar 16 2018 cloud-devel@suse.de
- Update to version designate-6.0.1.dev51:
  * Updated from global requirements
* Thu Mar 15 2018 cloud-devel@suse.de
- Update to version designate-6.0.1.dev50:
  * Updated from global requirements
* Wed Mar 14 2018 cloud-devel@suse.de
- Update to version designate-6.0.1.dev49:
  * Updated from global requirements
  * Removing downgrade commands
* Tue Mar 13 2018 cloud-devel@suse.de
- Update to version designate-6.0.1.dev46:
  * Do not filter pools by attributes when non are provided
* Mon Mar 12 2018 cloud-devel@suse.de
- Update to version designate-6.0.1.dev45:
  * Imported Translations from Zanata
* Sun Mar 11 2018 cloud-devel@suse.de
- Update to version designate-6.0.1.dev44:
  * Updated from global requirements
* Fri Mar  9 2018 cloud-devel@suse.de
- Update to version designate-6.0.1.dev43:
  * Fix typo
  * Zuul: Remove project name
* Thu Mar  8 2018 cloud-devel@suse.de
- Update to version designate-6.0.1.dev41:
  * Resolve get\_dns\_view error after selecting multi-tenant view
  * Add os-testr in test-requirements.txt
  * Updated from global requirements
  * Updated from global requirements
* Tue Mar  6 2018 cloud-devel@suse.de
- Update to version designate-6.0.1.dev35:
  * Keep NS records for subdomains during Zone import
* Mon Mar  5 2018 cloud-devel@suse.de
- Update to version designate-6.0.1.dev33:
  * Updated from global requirements
* Fri Mar  2 2018 cloud-devel@suse.de
- Update to version designate-6.0.1.dev32:
  * Imported Translations from Zanata
  * Migrate object to OVO (7)
  6.0.0
* Tue Feb 27 2018 tbechtold@suse.com
- Update to version designate-6.0.0.0rc2.dev29:
  * Migrate object to OVO (6)
  * Migrate object to OVO (5)
  * Migrate object to OVO (4)
  * Migrate object to OVO (3)
  * Migrate object to OVO (2)
  * Migrate object to OVO
  * Remove install-guide tox env
* Sun Feb 25 2018 cloud-devel@suse.de
- Update to version designate-6.0.0.0rc2.dev15:
  * Remove empty files
* Fri Feb 23 2018 cloud-devel@suse.de
- Update to version designate-6.0.0.0rc2.dev13:
  * Remove Hacking check for log translation
* Tue Feb 20 2018 cloud-devel@suse.de
- Update to version designate-6.0.0.0rc2.dev11:
  * Skip grenade job on irrelevant changes
* Mon Feb 19 2018 cloud-devel@suse.de
- Update to version designate-6.0.0.0rc2.dev9:
  * Fix unicode not define in doc with py3
* Sun Feb 18 2018 cloud-devel@suse.de
- Update to version designate-6.0.0.0rc2.dev8:
  * Updated from global requirements
  * os-loganayze fix
* Fri Feb 16 2018 cloud-devel@suse.de
- Update to version designate-6.0.0.0rc2.dev5:
  * Add sample\_default for pybasedir in \_\_init\_\_.py
* Thu Feb 15 2018 cloud-devel@suse.de
- Update to version designate-6.0.0.0rc2.dev3:
  * Updated from global requirements
* Tue Feb 13 2018 cloud-devel@suse.de
- Update to version designate-6.0.0.0rc2.dev2:
  * Imported Translations from Zanata
* Sat Feb 10 2018 cloud-devel@suse.de
- Update to version designate-6.0.0.0rc2.dev1:
  * Update reno for stable/queens
  6.0.0.0rc1
* Thu Feb  8 2018 cloud-devel@suse.de
- Update to version designate-6.0.0.0b4.dev8:
  * Remove use of unsupported TEMPEST\_SERVICES variable
  * Use secure random to generate transfer key
* Sun Feb  4 2018 cloud-devel@suse.de
- Update to version designate-6.0.0.0b4.dev6:
  * Imported Translations from Zanata
  * Updated from global requirements
  * Remove the deprecated "giturl" option
* Sat Feb  3 2018 cloud-devel@suse.de
- Update to version designate-6.0.0.0b4.dev2:
  * Make requirements voting again, update .zuul.yaml
* Tue Jan 30 2018 cloud-devel@suse.de
- Update to version designate-6.0.0.0b4.dev1:
  * Correct link address in docs
  6.0.0.0b3
* Fri Jan 26 2018 cloud-devel@suse.de
- Update to version designate-6.0.0.0b3.dev23:
  * Updated from global requirements
* Tue Jan 23 2018 cloud-devel@suse.de
- Update to version designate-6.0.0.0b3.dev22:
  * Updated from global requirements
  * Remove v1 API
* Wed Jan 17 2018 cloud-devel@suse.de
- Update to version designate-6.0.0.0b3.dev18:
  * Updated from global requirements
* Tue Jan 16 2018 tbechtold@suse.com
- Update to version designate-6.0.0.0b3.dev17:
  * Run neutron-tempest-plugin-designate-scenario job
  * PyMySQL 0.8.0 compat fix
  * Update deletion date for (zone|pool)-manager
  * Updated from global requirements
  * Updated from global requirements
  * Remove debug line from grenade plugin
  * Remove sample config from setup.cfg
  6.0.0.0b2
  * Updated from global requirements
  * Make designate.conf reproducible
  * Remove unneeded requirements file
  * Remove partial sample config
  * Update CI Jobs
  * Docs Refactor
  * Add zone 'attributes' to api-ref
  * Update installation docs
  * Enable worker and producer by default in devstack local.conf
  * Update .gitignore
  * Fix running gate jobs
  * Enable worker and producer by default in devstack
  * Update to correct status tables
  * Migrate to Zuul v3
  * Fix servicing IPv6 based TCP connections
  * Add validation to improve pep8 check for designate project
  * Revise the Installation Guide structure
  * Remove setting of version/release from releasenotes
  * Updated from global requirements
* Thu Oct 26 2017 cloud-devel@suse.de
- Update to version designate-5.0.1.dev63:
  * Imported Translations from Zanata
  * Implement policy in code (3)
  * Implement policy in code (2)
  * Implement policy in code (1)
* Wed Oct 25 2017 cloud-devel@suse.de
- Update to version designate-5.0.1.dev56:
  * Remove explicit lockdown of flake8
  * Imported Translations from Zanata
  * Remove SCREEN\_LOGDIR from devstack
  * Copy all dashboard panel files in devstack install
* Fri Oct 20 2017 cloud-devel@suse.de
- Update to version designate-5.0.1.dev49:
  * Update gitignore list
  * Remove user\_identity dummy param from context
  * Call base from\_dict in DesignateContext
  * Cleanup test-requirements
* Wed Oct 18 2017 cloud-devel@suse.de
- Update to version designate-5.0.1.dev42:
  * Use generic user for both zuul v2 and v3
* Tue Oct 17 2017 cloud-devel@suse.de
- Update to version designate-5.0.1.dev41:
  * Update vagrant boxes
  * Include all rootwrap filters when building wheels
* Mon Oct 16 2017 cloud-devel@suse.de
- Update to version designate-5.0.1.dev37:
  * Ignore .stestr/
  * Updated from global requirements
* Thu Oct  5 2017 cloud-devel@suse.de
- Update to version designate-5.0.1.dev34:
  * Dev docs cleanup
  * Move default DNS driver to bind9
  * infoblox backend multi\_tenant always return true, because the value of multi\_tenant is a unicode 0
* Fri Sep 29 2017 cloud-devel@suse.de
- Update to version designate-5.0.1.dev29:
  * Update tests to fix gate
* Fri Sep 22 2017 cloud-devel@suse.de
- Update to version designate-5.0.1.dev28:
  * Updated from global requirements
* Thu Sep 14 2017 cloud-devel@suse.de
- Update to version designate-5.0.1.dev27:
  * Updated from global requirements
* Wed Sep 13 2017 cloud-devel@suse.de
- Update to version designate-5.0.1.dev26:
  * Updated from global requirements
  * Delay rpc initialization until config is available
  * Skip test failing after oslo.messaging update
  * Fix broken /developer/ links
* Thu Sep  7 2017 cloud-devel@suse.de
- Update to version designate-5.0.1.dev19:
  * Replace DbMigrationError with DBMigrationError
  * Update docs formatting
  * Stop creating admin and internal endpoints in devstack plugin
  * Fix to use "." to source script files
  * writing convention: do not use “-y” for package install
* Tue Sep  5 2017 cloud-devel@suse.de
- Update to version designate-5.0.1.dev10:
  * Updated from global requirements
* Fri Sep  1 2017 cloud-devel@suse.de
- Update to version designate-5.0.1.dev9:
  * Fix tls startup in devstack plugin
  * Remove unused cfg import and fix uuid format in test-case
  5.0.0
* Wed Aug 23 2017 tbechtold@suse.com
- Fix doc build
* Wed Aug 23 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0rc2.dev5:
  * Updated from global requirements
  * Update reno for stable/pike
* Tue Aug 22 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0rc2.dev2:
  * Improving the designate topology
* Thu Aug 17 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0rc2.dev1:
  * Imported Translations from Zanata
  5.0.0.0rc1
* Fri Aug  4 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b4.dev16:
  * Improve and update docs
  * Improving auto-genconfig for producer cfg
  * use oslo\_utils.uuidutils module
  * doc: Populate the 'install' section
  * doc: Populate the 'configuration' section
* Thu Aug  3 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b4.dev7:
  * Change correctly producer-task conf
  * Fix AXFR queries under py3.5
* Tue Aug  1 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b4.dev3:
  * Fix a integrations doc link
  * Updated from global requirements
  5.0.0.0b3
* Fri Jul 21 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev116:
  * Updated from global requirements
* Wed Jul 19 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev115:
  * Remove deprecated cfg in notification and add format-v6 test
  * Updated from global requirements
* Tue Jul 18 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev111:
  * Updated from global requirements
* Sat Jul 15 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev110:
  * Update the documentation link
* Thu Jul 13 2017 tbechtold@suse.com
- Update to version designate-5.0.0.0b2.dev109:
  * Update URLs in documents according to document migration
  * Auto-generate designate.conf.sample via genconfig testenv
  * Fix task tests under py3
  * Fix pool tests in py3
  * Make central service tests py3 compatible
  * Eliminate annoying oslo.messaging timed out message
* Tue Jul 11 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev98:
  * use the same command for 'docs' env build as CI uses for real doc builds
  * complete the migration from oslosphinx to openstackdocstheme
  * rearrange existing documentation according to the new standard layout
* Thu Jun 29 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev95:
  * Fix missing database privileges and config references
  * Stop using deprecated 'message' attribute in Exception
  * Improving cover testenv
  * Optimize the link address
  * Improving check warning build\_sphinx
  * Fix missing format of impl\_infoblox config file
  * Updated from global requirements
  * Remove unnecessary setUp function in testcase
  * Remove .testrepository/times.dbm
  * Return PoolList as a right list object
  * Fix UUID and String value in test\_pool
  * Improve testcase
  * Ensure TTL is not 0 for zone imports
  * Make the Zone object py3 compatible
* Tue Jun 13 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev68:
  * Updated from global requirements
* Sat Jun 10 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev67:
  * Fix issue with value in nsd4 and powerdns test-case
  * Fix wrong Tld name
  * Fix issues with value pool-manger and bind9 tests
  * Fix issue with 'priority' value in pool\_ns\_record
  * Updated from global requirements
  * Add 'DELETED', 'NO\_ZONE' and 'SUCCESS' status for objects
  * Fix doc generation for Python3
  * Fix remaining API tests under python3
* Thu Jun  1 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev52:
  * Fix testcase with ttl value
* Wed May 31 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev50:
  * Add '.' into zone format in \_build\_zones method
  * Unskip and fix handler tests in py3
  * Fix agent unit tests on py3
  * Fix test notification driver configuration
  * nova/neutron format integration is failed
  * Remove usage of parameter enforce\_type
  * Remove unused variable
  * Trivial fix pep8 and typos
* Fri May 26 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev34:
  * Fix mistaken object
  * Updated from global requirements
* Wed May 24 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev31:
  * Updated from global requirements
* Tue May 23 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev30:
  * Trivial fix typos while reading doc
  * Updated from global requirements
  * Remove old oslo.messaging transport aliases
* Sat May 20 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev24:
  * [docs] Rearranges index.rst to build nicer with the theme
* Thu May 18 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev22:
  * Blacklist python 3 UT because of eventlet bug
* Tue May 16 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev21:
  * Unskip py3 tests that depend on eventlet 0.21.0
  * Fix wrong usage of producer interval type in UT
* Sat May  6 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev19:
  * Unskip py3 tests that no longer fail
  * Enable posargs for the py35 tests
  * Move RPC topics which hard-coded in Designate project
  * Fix some reST field lists in docstrings
  * Fix zone creation example in install guide
  * Fix pools.yaml examples in install guide
* Thu May  4 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev7:
  * Updated from global requirements
* Wed May  3 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev6:
  * Add instructions for SUSE to install guide
* Sat Apr 29 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev4:
  * Refactor NSD4 UT for using upstream eventlet
  * Updated from global requirements
* Thu Apr 27 2017 cloud-devel@suse.de
- Update to version designate-5.0.0.0b2.dev1:
  * Add SOA to RECORD\_TYPES in sqlalchemy.tables and remove eventlet constraint
  5.0.0.0b1
  * Indicating the location tests directory in oslo\_debug\_helper
  * fix \`tox -e docs\` errors
  * Switch to decorators.idempotent\_id
  * Use the oslo\_utils address parser
  * Use designate.utils.generate\_uuid instead of str(uuid.uuid4)
  * [backend:akamai] fix retrieval of tsig\_key\_name
  * Add v6 support in \_get\_ip\_data
  * Switch stats client import to use oslo\_utils
  * Remove the method \_dispatch in rpc
  * Remove recordset tests migrated to designate\_tempest\_plugin
  * Replace assertEqual(None, \*) with assertIsNone in the tests
  * Cleaned up notification\_handler/base.py
  * Remove unnecessary \_\_init\_\_ from functionaltests
  * Add DESIGNATE\_AGENT\_BACKEND\_DRIVER to devstack sample conf
  * zone\_name is null in zone trasfer request response
  * Add test cases for GET /v2/zones/tasks/transfer\_accepts/<id>
  * Add missing parameters to docs of zone\_ownership\_transfer\_accept
  * Add docs for zone ownership transfer\_accept API
  * Add etc/designate/\*.yaml to .gitignore
  * Catch all exceptions in PM's call to get\_pool()
  * Remove test cases which are moved to designate\_tempest\_plugin
  * Add explanation of connection string in pdns sample\_yaml\_snippets
  * Migrate service\_statuses table charset to UTF8
  * Fix the service\_status objects \_\_str\_\_() output
  * Fix \_get\_listen\_on\_addresses to handle port 0
* Fri Mar 17 2017 cloud-devel@suse.de
- Update to version designate-4.0.1.dev62:
  * Make Pools documentation better
* Tue Mar 14 2017 cloud-devel@suse.de
- Update to version designate-4.0.1.dev61:
  * Switch to the OpenStack Docs Theme
* Sat Mar 11 2017 cloud-devel@suse.de
- Update to version designate-4.0.1.dev59:
  * [install-guide] Add install-rdo
  * Remove usage of option 'verbose'
  * Use https instead of http for git.openstack.org in designate
  * [docs] Add missing upgrade guides
  * Indicating the location tests directory in oslo_debug_helper
  * Actually write out tempest config file
* Fri Mar 10 2017 cloud-devel@suse.de
- Update to version designate-4.0.1.dev48:
  * Updated from global requirements
* Thu Mar  9 2017 cloud-devel@suse.de
- Update to version designate-4.0.1.dev47:
  * Move docs to tempest plugin repo
  * Remove old functional tests
  * New Docs toctree
  * Change 'tocreate' to 'to create'
* Wed Mar  8 2017 cloud-devel@suse.de
- Update to version designate-4.0.1.dev39:
  * Bump hacking to new required version
  * Remove a py34 environment from tox
* Fri Mar  3 2017 cloud-devel@suse.de
- Update to version designate-4.0.1.dev36:
  * Updated from global requirements
  * load default pool from storage
  * Add test cases for GET /v2/zones/tasks/transfer_accepts/<id>
* Wed Mar  1 2017 cloud-devel@suse.de
- Update to version designate-4.0.1.dev32:
  * [doc] Update Ubuntu dev environment doc
  * Updated from global requirements
  * Update Architecture Doc
* Tue Feb 28 2017 cloud-devel@suse.de
- Update to version designate-4.0.1.dev27:
  * Add basic information on sink + neutron
  * Point Users at the main install guide site
  * Add note for running designate-tempest-plugins
* Sat Feb 25 2017 cloud-devel@suse.de
- Update to version designate-4.0.1.dev21:
  * Updated from global requirements
  * [docs] Merge Developer Guidelines into Getting Involved page
  * Remove old docs content
  4.0.0
* Fri Feb 17 2017 cloud-devel@suse.de
- Update to version designate-4.0.0.0rc2.dev16:
  * fix `tox -e docs` errors
  * Added in doubt default pool filter to scheduler
* Thu Feb 16 2017 cloud-devel@suse.de
- Update to version designate-4.0.0.0rc2.dev13:
  * Turn off V1 API by default
  * pool not pools
  * Updated from global requirements
* Wed Feb 15 2017 cloud-devel@suse.de
- Update to version designate-4.0.0.0rc2.dev8:
  * Install Guide Plugin
* Tue Feb 14 2017 cloud-devel@suse.de
- Update to version designate-4.0.0.0rc2.dev7:
  * Fix broken grenade gate
  * Updated from global requirements
  * Fix warnings in api-ref
* Thu Feb  9 2017 cloud-devel@suse.de
- Update to version designate-4.0.0.0rc2.dev2:
  * Use tenacity instead of retrying
* Fri Feb  3 2017 cloud-devel@suse.de
- Update to version designate-4.0.0.0rc2.dev1:
  * Update reno for stable/ocata
  4.0.0.0rc1
* Thu Feb  2 2017 cloud-devel@suse.de
- Update to version designate-4.0.0.0b4.dev17:
  * Add warning message to akamai driver
  * Do not send DNS queries against hostnames
  * Validate NS records on a pool during an update
  * Allow for zones / pools with no attributes
  * Make notifications pluggable
* Wed Feb  1 2017 cloud-devel@suse.de
- Update to version designate-4.0.0.0b4.dev8:
  * Use exit code 1 for failed designate-manage pool commands
  * Switch to decorators.idempotent_id
  * change from domain to zone at configfile
  * DOC Remove a couple of repeated words
  * Add v6 support in _get_ip_data
* Tue Jan 31 2017 cloud-devel@suse.de
- Update to version designate-4.0.0.0b4.dev1:
  * Fix noop metrics timed decorator
  4.0.0.0b3
* Fri Jan 27 2017 cloud-devel@suse.de
- Update to version designate-4.0.0.0b3.dev19:
  * Updated from global requirements
* Fri Jan 20 2017 cloud-devel@suse.de
- Update to version designate-4.0.0.0b3.dev18:
  * Make exception catching more python3-ish
  * Fix a typo in designate/worker/tasks/zone.py
  * The usage of LOG mismatch in the code
* Thu Jan 19 2017 cloud-devel@suse.de
- Update to version designate-4.0.0.0b3.dev12:
  * Use the oslo_utils address parser
* Tue Jan 17 2017 cloud-devel@suse.de
- Update to version designate-4.0.0.0b3.dev11:
  * Use designate.utils.generate_uuid instead of str(uuid.uuid4)
  * Updated from global requirements
  * [api-ref] fix create zone export endpoint
* Wed Jan  4 2017 cloud-devel@suse.de
- Update to version designate-4.0.0.0b3.dev7:
  * Updated from global requirements
  * Fix typo in upgrade doc
  * [backend:akamai] fix retrieval of tsig_key_name
  4.0.0.0b2
  * Use modules for import not objects
  * Set import exceptions in tox.ini configuration
* Tue Dec 13 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev93:
  * Remove lowercase constarint for pgsql
  * Fix a typo in parameters.yaml
* Mon Dec 12 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev89:
  * Updated from global requirements
  * Show team and repo badges on README
* Thu Dec  8 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev86:
  * Add pGSQL support for pdns4 driver in devstack
  * Fix grenade to use the driver specified in the gate
* Sun Dec  4 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev84:
  * Update Devstack plugin
* Thu Nov 17 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev83:
  * Fix DB migration with postgresql
  * Follow up - removing old dirs + config
* Fri Nov 11 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev79:
  * Updated from global requirements
* Wed Nov  9 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev78:
  * Updated from global requirements
* Tue Nov  8 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev77:
  * Fix noop client getters
  * [api-ref] add optional zone create parameter 'masters'
  * Fix typo
  * Remove the method _dispatch in rpc
* Mon Nov  7 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev69:
  * Updated from global requirements
  * Remove tests ported to tempest plugin
* Sun Nov  6 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev66:
  * cors: update default configuration in config
  * Changed the home-page link
* Sat Nov  5 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev62:
  * Switch stats client import to use oslo_utils
* Fri Nov  4 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev61:
  * Updated from global requirements
  * Add noop metrics client
* Wed Nov  2 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev58:
  * Don't include openstack/common in flake8 exclude list
  * [Trivial] Fix some typos in designate
  * Update .coveragerc after the removal of respective directory
  * Trivial: Remove vim header from source files
* Sat Oct 29 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev50:
  * Remove Oslo Incubator Code
  * Fix unit tests for oslo.config 3.18.0
  * Fix for allowing user to create zone other than ending with TLD
* Fri Oct 28 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev44:
  * Updated from global requirements
  * fix link to docs.openstack.org in release notes for mitaka
* Wed Oct 19 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev41:
  * Fix Mitaka Upgrade Doc
  * Fix a typo
  * TrivialFix: Remove default=None when set value in Config
  * Using sys.exit(main()) instead of main()
* Wed Oct 19 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev33:
  * Use ConfigParser instead of SafeConfigParser
  * Remove vim header from source files
  * Fix typo a-an, than-then, wrong character case
  * Fix typos in models.py & bind9.filters
  * Partitioner - Rety on failure to get members
* Sat Oct 15 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev24:
  * Updated from global requirements
* Fri Oct 14 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev23:
  * Updated from global requirements
  * Fix for the exception on creating secondary zone
* Sat Oct  8 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev19:
  * Enable release notes translation
  * Updated from global requirements
* Fri Sep 30 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev16:
  * Updated from global requirements
  * Infoblox: Reverse lookup zone creation fails
  * Add API description for deleting zone export record to api-ref
  * Remove Routes from requirements
  * Updating the sample handler to be compatible with mitaka/newton
* Fri Sep 23 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev8:
  * Fix typos in zone.py & pools.rst & scheduler.rst
* Thu Sep 22 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev6:
  * api-ref v2 recordset: document X-Designate-Edit-Managed-Records header
  * Updated from global requirements
* Wed Sep 21 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev4:
  * Some typos need to be fixed
  * Add Monasca-statsd metric generation
* Tue Sep 20 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0rc2.dev2:
  * Update reno for stable/newton
  3.0.0.0rc1
  * Add PowerDNS 4 driver
  * Updated from global requirements
  * RC1 Relnotes
* Sat Sep 17 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b4.dev25:
  * Resolve description parameter in v2:set floating ip
* Fri Sep 16 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b4.dev23:
  * delete python bytecode including pyo before every test run
* Thu Sep 15 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b4.dev22:
  * [api-ref] Remove temporary block in conf.py
  * Clean imports in code
* Wed Sep 14 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b4.dev18:
  * Add name parameter to recordset create request description
* Tue Sep 13 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b4.dev16:
  * Infoblox backend:Fixed sslverify value from option
  * Config logABug feature for Designate api-ref
  * Remove recordset tests migrated to designate_tempest_plugin
  * Fix ZTA API to prevent HTTP 500 upon empty body
* Sat Sep 10 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b4.dev9:
  * TrivialFix: Remove cfg import unused
  * TrivialFix: Remove logging import unused
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b4.dev5:
  * Change PATCH method to PUT for recordset update in api-ref
  * Replace POST with PATCH in api-ref for set floatingIP's ptr record
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b4.dev1:
  * Fix Grenade Gate
  3.0.0.0b3
  * Replace assertEqual(None, *) with assertIsNone in the tests
* Fri Sep  2 2016 tbechtold@suse.com
- Update to version designate-3.0.0.0b3.dev69:
  * Add api-ref dropdown
  * Worker Model
  * Minor cleanup
  * Fix recordset changes so that they preserve object changes fields
* Thu Aug 25 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b3.dev61:
  * Updated from global requirements
  * Remove white space between print and ()
  * Use upper constraints for all jobs in tox.ini
  * Fix typo 'leve'->'level'
  * Add DESIGNATE_AGENT_BACKEND_DRIVER to devstack sample conf
* Wed Aug 24 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b3.dev52:
  * Add support for Microsoft DNS Server backend
  * Get ready for os-api-ref sphinx theme change
* Tue Aug 23 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b3.dev48:
  * Updated from global requirements
* Mon Aug 22 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b3.dev47:
  * Cleaned up notification_handler/base.py
  * Use tempest.lib instead of tempest-lib
* Fri Aug 19 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b3.dev43:
  * Updated from global requirements
  * Language fix 'imports' to 'exports'
* Thu Aug 18 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b3.dev40:
  * Remove unnecessary __init__ from functionaltests
  * Improve performance of recordsets API
  * Replace  assertDictEqual() with assertEqual()
* Wed Aug 17 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b3.dev34:
  * Fix SSHFP validation for ECDSA, ED25519, and SHA256
* Sat Aug  6 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b3.dev32:
  * Updated from global requirements
  * Fix api-ref methods for getting, updating and deleting recordsets
* Fri Aug  5 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b3.dev29:
  * Revert 372057bddb27716acd42a88591552a8dee7b519b
  * Fix some typo in the files
  * Fix recordset changes so that they preserve object changes fields
  * Remove unused LOG
  * Docs for working with multiple pools
* Tue Aug  2 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b3.dev19:
  * Change bind -> bind9 in docs, sample configs
* Sun Jul 31 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b3.dev18:
  * Fix typo in tempest.rst
  * Python 3: dict.itervalues()
* Wed Jul 27 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b3.dev15:
  * Typo in mitaka.rst
  * Python 3: dict.iteritems()
  * different-format-for-ipv4-and-ipv6
* Sat Jul 23 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b3.dev10:
  * Documentation fix up
* Thu Jul 21 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b3.dev9:
  * update doc index, add ops FAQ and notifications
* Wed Jul 20 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b3.dev7:
  * Updated from global requirements
* Fri Jul 15 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b3.dev6:
  * Grenade Plugin
  3.0.0.0b2
  * Don't hardcode options we pass to oslo.context
  * Correct reraising of exception
  * Consolidate How Tos and add Admin How Tos
  * Update UUID type for py3.5 compat
  * Add Python 3.5 classifier and venv
  * Add gdnsd backend
  * Add missing parameters to docs of zone_ownership_transfer_accept
* Thu Jul 14 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b2.dev66:
  * Added docs for Floatingip ptr records to api ref
* Wed Jul 13 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b2.dev65:
  * Add v2/quotas
* Tue Jul 12 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b2.dev63:
  * Updated from global requirements
* Sun Jul 10 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b2.dev62:
  * Updated from global requirements
* Thu Jul  7 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b2.dev61:
  * Updated from global requirements
  * Move APIv2 Docs to api-ref site
* Wed Jul  6 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b2.dev58:
  * Fixes log statement typo in coordination.py
  * zone_name is null in zone trasfer request response
  * Add docs for SSHFP, SRV, SPF and MX recordsets to api-ref
* Tue Jul  5 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b2.dev52:
  * Fix typo in designate-manage.rst
* Fri Jul  1 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b2.dev50:
  * Fixing several typos
  * Fixing typo availible->available
  * Fix Invalid UUID error message to make it consistent with others
* Thu Jun 30 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b2.dev44:
  * Add missing zake lib to t-r
  * Updated from global requirements
* Tue Jun 28 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b2.dev41:
  * Updated from global requirements
* Sat Jun 25 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b2.dev40:
  * Catch duplicate db inserts in powerdns plugin
* Sat Jun 18 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b2.dev39:
  * Updated from global requirements
  * Add API for listing zone transfer accepts
  * Add docs for zone ownership transfer_accept API
* Fri Jun 17 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b2.dev34:
  * Fix 'Duplicate explicit target name' error in 'tox -e docs'
* Thu Jun 16 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b2.dev32:
  * Fix output of datetime objects in API
* Wed Jun 15 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b2.dev31:
  * Remove unneeded renames in v2 Adapters
  * Remove migrated "unauthed" functional tests
  * Remove migrated negative tests for pools, tlds, blacklists
  * Ensure HTTP 204 responses have 0 Content-Length
  * Only load Suds when using Akamai backend
  * Add centos7, remove Fedora Vagrant VM
  * Add "project-id" to rrset API output
* Tue Jun 14 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b2.dev18:
  * Removed erronous extra file
  * Updated from global requirements
* Fri Jun 10 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b2.dev15:
  * Updated from global requirements
  * Add etc/designate/*.yaml to .gitignore
* Wed Jun  8 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b2.dev13:
  * Add Blacklist to api-ref docs
  * DOC: Minor grammar and typo fixes
  * Fix typo in Docs
  * Updated from global requirements
* Fri Jun  3 2016 cloud-devel@suse.de
- Update to version designate-3.0.0.0b2.dev6:
  3.0.0.0b1
  * Fix parameters.yaml order
  * Fix tsig param names
  * Modify assert statement when comparing with None
  * Add djbdns backend
  * Catch all exceptions in PM's call to get_pool()
  * Removing cruft from before os-api-ref was a lib
  * Fix Optional Tag for X-OpenStack-Request-ID
  * Update devstack dashboard+client clone+install method
  * Make cache_result safer to use
* Thu Jun  2 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev227:
  * Make registering error handlers compliant with Flask 0.11
  * Support binding to IPv6 addresses in UDP sockets
  * Updated from global requirements
  * Docs update to make it consistent with other docs
  * remove verbose option in devstack plugin
  * Cleanup rndc backend
  * Improve response codes display in api-ref docs
  * Ensure L to M DB migrations correctly inspect current DB state
  * DevStack: Set tempest nameservers config option correctly
* Tue May 31 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev210:
  * Updated from global requirements
  * DOC: Update Ubuntu developer environment doc
* Fri May 27 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev207:
  * Updated from global requirements
  * Add Wily and Xenial devstack VMs
  * Support binding to IPv6 addresses in TCP sockets
  * Enable v2/recordsets API for tempest plugin
* Thu May 26 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev199:
  * Refactor UDP query handling, add tests
  * Support TCP connection pipelining
* Tue May 24 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev195:
  * DevStack: Support setting default quotas
  * Updated from global requirements
  * Imported Translations from Zanata
  * Remove test cases which are moved to designate_tempest_plugin
* Sat May 21 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev188:
  * Fix typo
  * Updated from global requirements
  * Roll up migrations to start from liberty
  * Add Tsigkey to api-ref docs
* Fri May 20 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev182:
  * Add a style guide
  * Docs Update
* Thu May 19 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev178:
  * Fix a typo. their -> there
  * Add Tld to api-ref docs
  * Fix gate trying to use u-c for api-ref
  * Resolve incorrect description and response codes in api-ref docs
  * Integration/stress test using a simulated network
  * Add Knot DNS backend
  * Remove zone import and export client methods + tests
  * Add explanation of connection string in pdns sample_yaml_snippets
  * Updated from global requirements
  * Add "/" to API-Ref Docs
  * Add Pools to API-Ref Docs
  * Add Limits to API-Ref Docs
  * Add Zone Transfer Request + Accept API-Ref docs
  * Add Zone Tasks, Export and Import API Docs
  * Add Recordset to api-ref docs
  * Start Designate API-Ref style documentation
  * Type checking in pool manager target sync
* Wed May 18 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev146:
  * Updated from global requirements
* Tue May 17 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev145:
  * Ensure services shutdown during unit testing
  * Skip zone import count test, reenable pool tests
  * Remove tempest plugin from non-tempest gate
  * Fix rrset serialization, improve mdns tests
  * Remove contrib/tempest, as they have moved to the tempest plugin
* Sat May 14 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev137:
  * Enable V2 API as default
  * Fix the memory of the VM in VirtualBox
* Fri May 13 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev133:
  * Remove more tests migrated to tempest plugin
  * Updated from global requirements
  * Update Designate Architecture document
  * Expose /v2/recordsets api endpoint
  * Move bandit job to voting
  * Migrate service_statuses table charset to UTF8
* Wed May 11 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev122:
  * Trivalfix of option name in designate.conf.sample
  * Support both olso.m v4 and v5
  * Typo fix
  * Fix the service_status objects __str__() output
  * Remove msdns from the drivers list
* Tue May 10 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev114:
  * Move heartbeat emit log messages to TRACE
  * Fix parameterized class decorator
  * Fix _get_listen_on_addresses to handle port 0
  * Consolidate default port numbers into utils.py
* Mon May  9 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev107:
  * Support multiple API and mDNS listen address pairs
  * DevStack: Allow disabling of API versions
  * Return early from _find_recordsets_with_records
* Mon May  9 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev101:
  * Skip Pools APIv2 tests
  * Added attribute filter to scheduler
  * Fix service_status docs page
  * Remove execute privilege of designate/backend/impl_bind9.py
  * Updated from global requirements
  * Add setup_ubuntu_devstack
* Mon May  9 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev91:
  * Add Decorator to log RPCAPI Calls
* Mon May  9 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev89:
  * Add descriptions
  * Minor documentation fix
  * replace logging with oslo.log
* Mon May  9 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev85:
  * Allow api_export_size to be updated
* Mon May  9 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev83:
  * Add exception description, minor cleanup
  * Added "experimental" status for backends
  * Ubuntu dev doc updates
* Fri Apr 22 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev77:
  * Improve exception handling, add comments
  * Use upper-constraints.txt for tox tests
  * Move DNS OPCODEs/Classes into private_codes.py
  * Add missing response codes in V2 API's doc
  * Remove tests moved to tempest
* Thu Apr 21 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev67:
  * Fix data filtering with pagination
  * Updated from global requirements
  * Set default sslverify value to True
  * Removed old tooling for ks CLI
  * Changed the spelling of command in sample file
  * Add Agent DevStack Backend
* Sat Apr 16 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev56:
  * Fix all doc warnings and enforce clean docs
  * Update tempest docs re scenario and slow tests
  * Refactor central/service and others
* Fri Apr 15 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev51:
  * Moved doc file and releasenote from service_status
  * Updated from global requirements
  * Vagrant: Suppport local devstack / tempest clones
  * Add support for getting Service Status
  * Update bandit.yaml + fix failing test
  * Refactor pool and pool_manager attribute update
  * Move successfull policy checks to trace
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev38:
  * Updated from global requirements
  * Remove workaround for bug #1467907
  * Add Tempest Plugin to DevStack Plugin
  * Resolves metadata field output on rest call to  zone import and export
  * Add Enhanced Logging to APIs
  * Switch to  mock fixtures, minor cleanup
  * Adds api_export_size attribute to admin  API
  * Replaces  x.keys() with six.iterkeys(x)
  * Server Pool Storage Clean Up
  * Update mDNS to accept server object
  * Add Unit Tests for v2 API Reports
  * Migrate Server table
  * Pool_Attribute Storage Tests
  * Can't Access Default Pool through API
  * Missing Unique Constraint on Pool Attributes table
  * Add pool_id column to Domains Table
  * Server Pools Storage
  * Missing Tests for Blacklist storage layer methods
  * Missing tests for TLD storage layer methods
  * Downgrade in 039 does not delete NS recordsets
  * Creating a Recordset doesn't increment the serial number
* Tue Apr 12 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev28:
  * Update vagrant local.conf for rally DS plugin
* Fri Apr  8 2016 cloud-devel@suse.de
- Update to version designate-2.0.1.dev26:
  * Add Designate Tempest Docs
  * Give better error messages for zone imports
  * Define context.roles with base class
  * Give proper ERROR for too large exports
  2.0.0
  * Adding v2 namespaced event to zone manager
  * Do not log pool-manager-caches SQL transactions
  * Added "view" option to bind9 rndc options
  * Partitoner references invalid exception class
  * devstack: compile message catalogs during stack.sh
  * Update .gitreview for stable/mitaka
* Thu Apr  7 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0rc2.dev36:
  * Add Memcached documentation
  * Docs update for zone import and export
* Tue Apr  5 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0rc2.dev32:
  * Remove pool config from sample config
  * Updated from global requirements
  * Handle async Tooz calls appropriately
* Mon Apr  4 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0rc2.dev27:
  * Updated from global requirements
  * Update config samples to show Identity v3 params
* Sun Apr  3 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0rc2.dev23:
  * Docs update
* Fri Apr  1 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0rc2.dev21:
  * Better organize the tox.ini passenv vars
  * Add placeholders for Mitaka DB Backports
  * Fix AutoDoc line for non existent modules
* Thu Mar 31 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0rc2.dev16:
  * Adding v2 namespaced event to zone manager
  * Run the cli functional tests in openstack ci
* Tue Mar 29 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0rc2.dev12:
  * devstack: compile message catalogs during stack.sh
  * Added "view" option to bind9 rndc options
* Fri Mar 25 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0rc2.dev8:
  * Adds missing metadata section to API docs
* Thu Mar 24 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0rc2.dev6:
  * Partitoner references invalid exception class
  * Log zone serial on fetch and update
* Tue Mar 22 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0rc2.dev4:
  * Do not log pool-manager-caches SQL transactions
* Sat Mar 19 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0rc2.dev3:
  * Update reno for stable/mitaka
  2.0.0.0rc1
  * Enable use of Pools YAML
  * Avoid logging tracebacks for EAGAIN errors
  * Fix devstack/fedora/bind9 support
* Fri Mar 18 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0b4.dev39:
  * Add New Pools DB Tables and Code
  * Documentation changes for Admin API Quotas page
  * Add release note for not allowing .json on urls
* Thu Mar 17 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0b4.dev33:
  * Default to not logging all SQL Quries made during a test run
  * DevStack: Explicitly install libcap2-bin and don't fail without AA
* Thu Mar 17 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0b4.dev29:
  * Switch get_serial_number logging to debug
* Tue Mar 15 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0b4.dev27:
  * Add scheduler for pools
  * Do not allow GET /resource.json
  * Fix _find_masters + unit tests
  * Fix integration doc that example config not formatted
* Sat Mar 12 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0b4.dev20:
  * Replace deprecated LOG.warn with LOG.warning
  * Strip "\n" character from result
  * Move zone masters to a new table
  * Add syntax highlighting to backend docs
* Fri Mar 11 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0b4.dev13:
  * Cleanup unused Oslo Incubator _i18n
* Thu Mar 10 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0b4.dev12:
  * Added "expected" to OverQuota Exceptions
  * Add warning to devstack/README.rst
  * Moved CORS middleware configuration into set_defaults
* Tue Mar  8 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0b4.dev7:
  * Fix for TCP connections not sending full content
  * Updated from global requirements
* Sat Mar  5 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0b4.dev3:
  * Use assertGreater()
* Fri Mar  4 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0b4.dev2:
  2.0.0.0b3
  * Move SOA refresh interval into unit tests
* Thu Mar  3 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0b3.dev135:
  * Updated from global requirements
* Thu Mar  3 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0b3.dev134:
  * Use a single recordset validation method
  * Ensure the zone records quota is enforced
  * Improve error handling for TCP connections
  * Use lazy properties in services
  * Fixed typos in docstrings
  * Updated from global requirements
  * Update README to RST
  * Set Ubuntu as primary Vagrantfile VM
  * Set InvalidRecordSetName and InvalidRecordSetLocation as expected
  * Add an on-demand single-target sync method
  * Allow to use project_name in handler formats
  * Simplify NeutronFloatingHandler process_notification
* Fri Feb 26 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0b3.dev110:
  * Update PoolAlsoNotify object name
  * Fix bug where building validators for ListObjects fails
  * Add AttributeListObjectMixin class
  * Stop using WritableLogger() which is deprecated
  * Update Bind 9 backend and other documentation
  * Cleanup after enable files refactor
  * Randomize SOA refresh interval
  * Updated from global requirements
  * Syntax, grammar, and typo fixes
  * Fix a missing '\' in doc
  * Minor unicode test fixes
  * Add delayed NOTIFY
  * Actually poll for zone deletes
  * Improve performance and utility of Recovery
  * A request hook interface for the functional test client
  * Ensure ZoneManager emits valid objects
  * Update numbering of dashboard enable files
  * Updated from global requirements
  * Functional tests for MX, TXT, SPF, SSHFP validation
  * Use "# noqa" instead of "#flake8: noqa"
  * Change the name of the test_create_wildcard_NS test
  * Updated from global requirements
  * Switch "managed" fields from unicode to string
  * Minor test cleanup
  * Use unicode strings in description fields
  * Fix misspellings
  * Make supported record type configurable
  * Log stacktraces of MultipleExceptions in functionaltests
  * Added Keystone and RequestID headers to CORS middleware
  * Remove outdated pot files
* Fri Jan  8 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0b2.dev42:
  * Add UniqueConstraint for pool_id + hostname
  * Tox: ignore Rope dirs
  * Move to [oslo_messaging_rabbit]
  * Update Devstack docs
  * Use keystoneauth instead of keystoneclient
  * Add documentation for Limits
* Thu Jan  7 2016 cloud-devel@suse.de
- Update to version designate-2.0.0.0b2.dev30:
  * Fix CI Tempest jobs
  * Emit notification on update_status() on a zone
* Fri Dec 18 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.0b2.dev27:
  * Deprecated tox -downloadcache option removed
  * Describe how to install Designate client
  * Remove iso8601 dependency
  * Removes MANIFEST.in as it is not needed explicitely by PBR
  * Use git.openstack.org as Git repository
  * Improve logging in designate.network_api
* Thu Dec 17 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.0b2.dev16:
  * Fix tox ValueError: No closing quotation
* Tue Dec 15 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.0b2.dev15:
  * Set zone in ERROR status on periodic sync fail
* Thu Dec 10 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.0b2.dev13:
  * Object model: require "priority" field
* Wed Dec  9 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.0b2.dev11:
  * Remove version from setup.cfg
* Sat Dec  5 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.0b2.dev9:
  * Switch devstack to use local.conf
  * pass environment variables of proxy to tox
  * Fix NO_DOMAIN handling with The Big Rename
  * Check TXT record length limit
  * Remove deprecated devstack in contrib
  * Test database schema and indexes
* Fri Dec  4 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.0b1:
  2.0.0.0b1
  * Remove py26 support from designate
  * Updated from global requirements
* Thu Dec  3 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.dev81:
  * Another improvement of info level log messages
  * Improving info level log messages
* Tue Dec  1 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.dev77:
  * Updated from global requirements
  * Replaces map() with six.moves.map() to provide py2/3 compatibility
  * Add mdns unit tests for main service handler
* Sat Nov 28 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.dev71:
  * Migrate existing Devstack integration into a Devstack plugin
* Wed Nov 25 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.dev70:
  * Added HTTP_X_FORWARDED_PROTO/HOST support to API
  * Updated from global requirements
  * Ensure designate-manage reads config before policy
  * Adds api_export_size attribute to admin API
  * Add Reno for release notes tracking
* Tue Nov 24 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.dev60:
  * Hide zones flagged for deletion in API v1
  * Add support for interface and service
* Thu Nov 19 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.dev56:
  * Rename all references of Domain to Zone
* Fri Nov 13 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.dev55:
  * Added placeholder migrations for stable/liberty
* Wed Nov 11 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.dev54:
  * Handle NO_DOMAIN status
* Tue Nov 10 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.dev52:
  * remove default=None for config options
  * Fix argument order in assertEqual to (expect, obs)
  * Switch to oslo.reports
  * Use oslo_config PortOpt type for port options
  * Removes zone files when a zone is deleted
  * Add functional tests for TLDs
* Fri Nov  6 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.dev40:
  * Use assertIn and assertNotIn
* Thu Nov  5 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.dev38:
  * Use assertTrue/False instead of assertEqual(T/F)
  * Uses assertIsNone instead of assertEqual(None, ***)
  * Use oslo_config IPOpt support
  * Updated from global requirements
  * Fixes Output for zone type filter
  * Added CORS support to Designate
  * Fix order of argument in assertEqual
  * Updated api-export-size attribute in quota update docs
  * Fix typos in sample config files
  * DevStack: Attempt to cleanup stale domains
* Thu Oct 22 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.dev19:
  1.0.0
  * Fix handling of Pool NS changes
  * Fix order of arguments in assertEqual
  * Fix order of argument in assertEqual
  * Fix order of argument in assertEqual
  * Fix order of argument in assertEqual
  * Cleanup of Translations
  * Added test cases for tsigkeys extention for V1 api
* Wed Oct 14 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.dev27:
  * Block oslo.messaging 2.6.0 release
  * Use assertFalse instead of assertEqual(False, ***)
  * Added test cases for records
  * Fix order of argument in assertEqual
  * Unauthed tests for Pools (Security)
  * Unauthed tests for Blacklists (Security)
  * Unauthed tests for Zones (Security)
* Fri Oct  9 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.dev14:
  * Functional tests: optionally disable ssl cert validation
  * Functional tests: Use a configurable url pattern
  * Clear out pyc files before a tox run
* Wed Oct  7 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.dev8:
  * retry creates/deletes in the pool manager
* Tue Oct  6 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.dev6:
  * Functional tests: optionally skip admin actions in setups
  * Fix handling of Pool NS changes
* Tue Sep 29 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.dev3:
  * Cleanup of Translations
* Fri Sep 25 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.dev2:
  * Functional tests: configure putting the version in the url
  1.0.0.0rc1
* Thu Sep 24 2015 cloud-devel@suse.de
- Update to version designate-2.0.0.dev65:
  * Open Mitaka development
* Wed Sep 23 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b4.dev64:
  * Add zone type specific validators
  * Ensure recordset name checking accounts for child domains
  * Ensure blacklists complete in a reasonable time
  * Fix unhandled exceptions in adapters parsing
  * Add Kilo upgrade nodes
  * Fix #1494799 handle limit=max on v2 and Admin APIs
  * Ensure unique records when listing recordsets
  * Fix race condition in V1 Records API
  * Fix Vagrantfile for Rally repo changes
  * Correct a possible DNSService connection leak
  * Ensure API workers > 1 starts correctly
  * Updated from global requirements
  * Unauthed tests for RecordSets (Security)
* Tue Sep 22 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b4.dev39:
  * Change ignore-errors to ignore_errors
  * A functional test to check CNAME recordsets allow only 1 record
  * Ensure CNAME RRSets only have one record
* Mon Sep 21 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b4.dev33:
  * Remove functional-tests.log, update .gitignore
  * Updated from global requirements
  * Imported Translations from Zanata
* Thu Sep 17 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b4.dev28:
  * Add backend for Designate using SECONDARY zones
  * [zm] Periodic Secondary zone refresh task
  * Replace request.request_mac with request.mac
  * Handling Forbidden Exception
  * Check the contents of a zone export in the functional tests
  * Cleanup data created in the functional tests
  * Agent - If no allow_notify hosts are specified, allow all
  * Change ip->host in the agent
  * Updated from global requirements
  * Modify centrals 'purge_domains' arguments
* Tue Sep  8 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b4.dev8:
  * Implement deleted zone purging
  * Add functional tests that query for wildcard records
* Mon Sep  7 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b4.dev5:
  * Fix AXFR / Secondary zone functionality
  * Activate pep8 check that _ is imported
  * Fix typos in comments
  1.0.0.0b3
* Wed Sep  2 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b3.dev94:
  * Updated from global requirements
  * Correct generated links when behind an SSL terminating proxy
  * The address for cloning designate is corrected
  * Asynchronous Zone Export
  * Refactor Zone Import Internals
  * Show functional test request logging
* Tue Sep  1 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b3.dev83:
  * Correct pool_target options in sample config
  * Add a service catalog override url for the functional tests
  * Remove unused dependency: discover
  * Grammar mistakes have been corrected
* Mon Aug 31 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b3.dev75:
  * Updated from global requirements
* Thu Aug 27 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b3.dev74:
  * Remove unused V2 schemas
* Sat Aug 22 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b3.dev73:
  * Update docs for the functional tests
  * Add DomainMaster Object to designate objects
  * Refactor notify logic into backends
  * Fixing datagen random_pool_data
* Tue Aug 18 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b3.dev65:
  * Export Zones
* Sat Aug 15 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b3.dev63:
  * Fixes bug 1484332 git url was wrong. Modified to proper url
* Fri Aug 14 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b3.dev62:
  * Add functional tests for wildcard records
  * Updated from global requirements
  * Replaces str to byte to provide py3 compatibility
  * Replaces x.keys() with six.iterkeys(x)
  * Provide error messages on CRUD actions
  * Verify DNS changes when updating RRSet
  * Fix zone transfer requests + add tempest tests
  * Remove auth* related param keys in middleware
  * Add __str__() methods to DesignateObjects
  * Increase unit tests coverage
  * Agent: Optional middleware to rate limit NOTIFYs
* Mon Aug 10 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b3.dev42:
  * Move iteration code to base task
  * Updated from global requirements
  * Cleaning up add_filters
  * Add a iteritems = items on DictObjectMixin
* Mon Aug 10 2015 seife+obs@b1-systems.com
- use python-suds-jurko as BuildReq for -doc package to be in line
  with main package
* Wed Aug  5 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b3.dev35:
  * Convert str to byte for py3 compatibility
  * Added 'add_filters' to ClientMixin for GET vars
  * Updated from global requirements
  * Imported Translations from Transifex
  * Updated from global requirements
  * Fix eleven typos on designate documentation
  * Implement test timeout helper. Minor fixes
  * Install dnspython3 on py3
  * Added some unit tests to test_domains.py
  * Added some unit tests in test_servers.py
  * Wildcard records
  * Fixed a test case name
  * Enable filter on get pools
  * Add support for Host header in REST queries
  * Add unit testing for pool
* Fri Jul 31 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b3.dev7:
  * Updated from global requirements
  * Add tests for limits api in V1 api
  * Imported Translations from Transifex
  * Replace assertTrue(a in b) with assertIn(a, b)
  1.0.0.0b2
  * Ensure RecordSet quotas are enforced
  * Ensure a single RRSet over max_packet_size doesn't loop forever
* Wed Jul 29 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b2.dev189:
  * Introduce a Production Guidelines document
  * Fix the incorrect JSON format in v1 REST API doc
  * Updated from global requirements
  * Reject invalid filters
  * Fixed timeout variable scope issues
  * Fixup v2 API Validation
* Wed Jul 29 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b2.dev178:
  * Imported Translations from Transifex
  * Fixes designate-manage tld's command by passing the correct params
  * Fix test in test_coordination.py for py3 compatibility
* Thu Jul 23 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b2.dev172:
  * Updated from global requirements
  * Fix duplicate domain error handling
* Tue Jul 21 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b2.dev168:
  * Only print flake8 table if there is results
  * Create unit tests dir, move objects tests there
  * Replacing dict.iteritems() with dict.items()
  * Replaced print with print() to provide py 2/3 compatibility
  * Updated from global requirements
  * Modify UT in test_limits.py
  * Add some UTs to test_pools.py
  * Add some UTs to test_zones.py
  * Add some UTs to test_tsigkeys.py
  * Add some UTs to test_recordsets.py
  * DevStack: Support installing client at released versions
  * Fix the displayed error message in V2 API
  * Update ubuntu-dev guide
  * DevStack: Keystone V3 Service/Endpoint Creation
* Fri Jul 17 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b2.dev142:
  * Allow multiple reader/writers to UDP DNS Sockets
  * Add some UTs to test_records.py for record update
* Thu Jul 16 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b2.dev138:
  * Added some UTs to test_tlds.py
  * Fix iteritems > items to avoid recursion loops
  * Add some missing UTs to test_domains.py
  * Default to memcache for PM cache
* Wed Jul 15 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b2.dev130:
  * Correct exists event field names
  * Add functional tox env
  * Add some UTs to test_records.py
  * Pass configration of what tasks are enabled
* Tue Jul 14 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b2.dev122:
  * Add Zone Manager Service options to sample config
  * Add some basic missing UTs to test_utils.py
* Sat Jul 11 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b2.dev119:
  * Fix broken UTs due to PY3 in test_import_export
  * Convert old style class to new style class
  * Refactor mDNS packet finalization
  * Add __pycache__ to ST2 Ignore
  * Handle unhandled exception in dnsutils.py for py3
* Fri Jul 10 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b2.dev109:
  * Correct sample coord URL
  * Ensure only one pool-manager performs periodic tasks
  * Implement support for LeaderElections
  * Standup coordination during start
  * Test - add nicer formating to flake8 output
* Thu Jul  9 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b2.dev101:
  * Increase coverage of RRset tests
  * Imported Translations from Transifex
  * Fix for ttl values
  * Functional tests for Blacklists
  * Enable filter on blacklists & tlds
  * Switch from MySQL-python to PyMySQL
  * Error message for database config
  * Correct 'DESIGNATE_SQL_DEBUG' export behaviour
  * Resolve one py3 compatibility issue
  * Fixed broken UTs in notification_handler module
  * Ensure validations account for trailing newlines
* Wed Jul  8 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b2.dev79:
  * Add tasks and periodic emits
  * Add support for BETWEEN and add tests
  * Fix broken UTs for python3
  * Ensure test_find_zone_imports waits for all imports
  * Fix broken UTs in test_mdns.test_handler
  * Updated from global requirements
  * Fix broken UTs in test_coordination for py34
  * Add v1 API deprecation warnings
  * Designate Dashboard now has it's own repo
  * Use released versions of tempest-lib
  * Enable designate-zone-manager in DSVM gates
* Fri Jul  3 2015 rsalevsky@suse.com
- Update to version designate-1.0.0.0b2.dev58:
  * Replace Exception.message with six.text_type(Exception)
  * Fix broken UTs due to py3
  * Updated from global requirements
  * Add zone filter for TTL, description, & status
  * DevStack: Keystone V3 User Creation
  * Return the correct recordsets total_count
  * Use six.iterkeys(x) instead of x.keys()
  * Replace dict.items() with list(dict.items())
  * fix broken UTs for python3 compatibility
  * Standardize API service launcher
  * Add DevStack support for coordination URL
  * Rename coordination tests to match established naming pattern
  * Silence some DEBUG logs
  * oslo.service triggers shutdown
  * Replace dict.iterkeys() with six.iterkeys(dict)
  * Remove 'L' from long int
  * Add shard and domain_shard to tables
  * Replace dict.iteritems() with dict.items()
  * Update urllib/urlparse to use six.moves
  * Use six.moves.map/zip in place of map/zip
  * Allow logging hookpoint intialization
  * Add Zone Manager service shim
  * Remove leftover print statement in tests
  * Add a couple of new hacking checks
  * Add base for coordination as a mixin / tooz
  * Updated from global requirements
  * Add py3 compatibility related changes
* Sat Jun 27 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b2.dev7:
  * Ensure quotas ext doesn't mutate dict during iteration
  * Re-arrange default log levels and add iso8601
  * port to oslo.service
* Fri Jun 26 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b2.dev2:
  * Updated from global requirements
* Thu Jun 25 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0b2.dev1:
  1.0.0.0b1
  * Edits to dev guide, juno guide, and kilo guide
  * Fix incorrect status code on Pool update
* Wed Jun 24 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0a1.dev14:
  * Asynchronous Zone Import
  * Updated from global requirements
* Tue Jun 23 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0a1.dev11:
  * Updated from global requirements
  * Enable random hash seeds
  * Added expected=True to InvalidDomainName
  * Eventlet+DNSPython breaks /etc/hosts resolution
* Fri Jun 19 2015 cloud-devel@suse.de
- Update to version designate-1.0.0.0a1.dev6:
  * Update version for Liberty
  * Updated from global requirements
  1.0.0a0
  * Add Tempest tests for V2 Pools
  * Add utility code for negative testing
* Wed Jun 17 2015 cloud-devel@suse.de
- Update to version designate-2015.2.0.dev112:
  * Add tempest-lib from git for gate devstack
  * Reset check_for_tlds after deleting the last TLD
  * Updated from global requirements
* Thu Jun 11 2015 cloud-devel@suse.de
- Update to version designate-2015.2.0.dev107:
  * Updated from global requirements
  * Updated from global requirements
  * Sync with oslo-incubator 61f4461f91
  * Correcting missing import for dashboard messaging
* Sat Jun  6 2015 cloud-devel@suse.de
- Update to version designate-2015.2.0.dev101:
  * Changes in rally-jobs/README.rst
  * Enforce usage of project scoped token
* Thu Jun  4 2015 cloud-devel@suse.de
- Update to version designate-2015.2.0.dev97:
  * Updated from global requirements
  * Add domain record detail screen
  * Add the Hook Point API
* Wed Jun  3 2015 cloud-devel@suse.de
- Update to version designate-2015.2.0.dev92:
  * Mark Infoblox as Release Compatible
* Tue Jun  2 2015 cloud-devel@suse.de
- Update to version designate-2015.2.0.dev90:
  * Give a nicer error upon 401 from Akamai
  * Add .eggs to .gitignore
  * Updated from global requirements
  * Updating cmd/manage.py get_arg_string() argument parser
* Fri May 29 2015 cloud-devel@suse.de
- Update to version designate-2015.2.0.dev83:
  * Fix exceptions on pep8 check due to missing tempest.conf
  * Add Backend grading, and associated docs page
  * Fix designate-manage pool show_config command
* Thu May 28 2015 cloud-devel@suse.de
- Update to version designate-2015.2.0.dev78:
  * Pin python version to 2.7
  * Add filter for status on recordsets
  * Fix the v2 XFR task API
  * Imported Translations from Transifex
  * Drop incubating theme from docs
  * Moved RecordSet lookup to a custom join query
* Thu May 28 2015 cloud-devel@suse.de
- Update to version designate-2015.2.0.dev68:
  * Update Dashboard requirements
* Wed May 27 2015 cloud-devel@suse.de
- Update to version designate-2015.2.0.dev66:
  * Infoblox Backend
  * Drop use of 'oslo' namespace package
  * Disable recursive queries with bind in Devstack
  * Add Akamai Management comamnds
* Tue May 26 2015 cloud-devel@suse.de
- Update to version designate-2015.2.0.dev58:
  * DevStack: Remove SOA/NS checks
  * Add some more settings to the sample conf file
  * Add NSD4 backend
* Thu May 14 2015 cloud-devel@suse.de
- Update to version designate-2015.2.0.dev52:
  * Add tests for dynect
  * Fix check+set race condition in APIv1/Sink
* Wed May 13 2015 cloud-devel@suse.de
- Update to version designate-2015.2.0.dev49:
  * Remove unnecessary RestController usage
  * Set cfg.pool_target.options as secret
  * Allow sink to create multiple entries per instance
  * updating tox pep8 issues
  * Add quota check for domain create
  * Denominator Agent
* Tue May 12 2015 cloud-devel@suse.de
- Update to version designate-2015.2.0.dev39:
  * Add support for settings wsgi MAX_HEADER_LINE
  * Switch pip-missing-reqs for pip-check-reqs
  * Add suds-jurko to requirements.txt
  * Utility script to help create n+ records at a time
  * Updated from global requirements
  2015.1.0
  * Remove duplicated index on table 'records' of pDNS backend
  * central.update_status should be transactional
  * Add the /v2/zones/<id>/nameservers endpoint back
  * Update JSON in howtos examples to match the API
  * Service ThreadPool size should be configurable
  * Handle socket.error's in mDNS
  * Move the Central rpcapi update_status to cast
  * PM: Ensure only one periodic task runs per host
  * Ensure addition of TSIG do not trigger a TooBig exception
  * Release Import of Translations from Transifex
  * update .gitreview for stable/kilo
  * Correct mDNS TCP/UDP socket flags
  * Shuffle of the order of BIND9 masters
  * Updated from global requirements
* Fri May  8 2015 cloud-devel@suse.de
- Update to version designate-2015.2.0.dev70:
  * Ensure Sink Handlers encode UTF8 names
  * Add docs for X-Auth-Sudo-Tenant-ID api header
  * Drop use of 'oslo' namespace package
  * Updated from global requirements
  * Improve UX of create and update record screen
  * Vagrant: NFS should only be used for libvirt
* Wed May  6 2015 cloud-devel@suse.de
- Update to version designate-2015.2.0.dev59:
  * Fixed SO_REUSEPORT not supported by Linux <3.9
* Mon May  4 2015 cloud-devel@suse.de
- Update to version designate-2015.2.0.dev58:
  * Fix a wrong obj_reset_changes field
  * Imported Translations from Transifex
  * Updated from global requirements
  * Drop use of 'oslo' namespace package
* Thu Apr 30 2015 cloud-devel@suse.de
- Update to version designate-2015.2.dev54:
  * Functional tests to check recordset ownership
  * Zone ownership tests
* Wed Apr 29 2015 cloud-devel@suse.de
- Update to version designate-2015.2.dev50:
  * Simplify designate.api.versions
  * Allow to use network label in nova_fixed handler format
  * Include README.rst in dashboard sdist
* Mon Apr 27 2015 cloud-devel@suse.de
- Update to version designate-2015.2.dev44:
  * Add an index to speed up update_status
* Mon Apr 27 2015 cloud-devel@suse.de
- Update to version designate-2015.2.dev42:
  * Updated from global requirements
  * Add the /v2/zones/<id>/nameservers endpoint back
  * Imported Translations from Transifex
  * Minor fixes: pep8 and redundant code
  * central.update_status should be transactional
  * Rally is now openstack/rally
  * Handle socket.error's in mDNS
  * Remove duplicated index on table 'records' of pDNS backend
  * Imported Translations from Transifex
  * PM: Ensure only one periodic task runs per host
  * Functional tests: minus tempest, plus noauth support
* Wed Apr 22 2015 cloud-devel@suse.de
- Update to version designate-2015.2.dev23:
  * Service ThreadPool size should be configurable
  * Ensure addition of TSIG do not trigger a TooBig exception
  * Update PM pooling defaults
* Tue Apr 21 2015 cloud-devel@suse.de
- Update to version designate-2015.2.dev17:
  * Correct mDNS TCP/UDP socket flags
* Mon Apr 20 2015 cloud-devel@suse.de
- Update to version designate-2015.2.dev15:
  * Correct designate-dashboard domain detail screen
* Sun Apr 19 2015 cloud-devel@suse.de
- Update to version designate-2015.2.dev14:
  * Add policy support to designatedashboard
* Sat Apr 18 2015 cloud-devel@suse.de
- Update to version designate-2015.2.dev13:
  * Move the Central rpcapi update_status to cast
* Thu Apr 16 2015 cloud-devel@suse.de
- Update to version designate-2015.2.dev11:
  * Update JSON in howtos examples to match the API
  * Shuffle of the order of BIND9 masters
* Wed Apr 15 2015 cloud-devel@suse.de
- Update to version designate-2015.2.dev8:
  * Imported Translations from Transifex
  2015.1.0rc1
  * Refactored BaseAddressHandler
* Tue Apr 14 2015 cloud-devel@suse.de
- Update to version designate-2015.2.dev151:
  * Fix missing '/' in self link after zone import
  * Reduce excessive stacktraces in logs
  * Move Zone Import / Export to /admin API
  * Ensure mDNS TCP/UDP threads service unhandled exceptions
  * Correct the max_zone_name_length name
  * Add validation of RRSet Type
  * Switch to API v2 as the new CURRENT
  * Add stable/kilo placeholder migrations
  * Open Liberty development
* Mon Apr 13 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev136:
  * Change rackspace.com > example.com in docs
  * Remove unused pool view
* Thu Apr  9 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev133:
  * DevStack: Reduce periodic intervals in the gate
  * Restrict editing of managed records to policy based ACL
  * Imported Translations from Transifex
* Wed Apr  8 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev128:
  * Added tenant impersonation to API
* Tue Apr  7 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev127:
  * Fixup DevStack Horizon install
  * Validate SRV records have the correct name on the recordset
  * Fixed sort key to not sort by an un-indexed field by default
  * Fix Record Object conversions
  * Fix handling of filtering params
  * Add Ceilometer support to DevStack plugin
  * DevStack: Akamai/Dyn Support for Jenkins Credentials and Exercises
  * Split out Optional OpenStack services in localrc
  * Support Vagrant Libvirt
  * First Tempest tests for recordsets
  * Fix support for PostgreSQL
  * Revert "Disable tempest in the gate, for now"
* Fri Apr  3 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev105:
  * Remove zone wrapper object in Tempest tests
* Thu Apr  2 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev104:
  * Add global limits to V2 limits endpoint
  * Fix min_ttl config to be an IntOpt
  * Implement default and max page size for V2 API
  * Fix output of errors on base recordset properties
* Wed Apr  1 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev97:
  * Correct min-ttl default config value
  * Update periodic sync defaults
  * Ensure mDNS can AXFR zones over 65k
  * Fixup updates in the agent backend
  * Imported Translations from Transifex
  * Akamai: mDNS must run on port 53
  * Agent Pool Manager Backend
  * Add Akamai EDNS Backend
  * DynECT: Convert to a Pool Backend
  * Add also-notifies support to Pool Manager
  * Implement Pool Targets
  * Reduce the # of SQL queries during AXFRs
  * Add code to allow triggering of AXFR from API
  * Fix 'zone' link in transfer_accepts
  * Imported Translations from Transifex
  * Enable Record Data Validation in v2 API
  * Sync up FIP behaviour to match latest PoolManager
  * Fix ownership issue with Zone's created on set fip
  * Fixed rootwrap file installation
  * Add _to_string() methods on RRData Objects
  * Add Schema to RRData Objects
  * Replace API_v2 views with Adapters
  * RFC1996 Requires NOTIFY packets have the AA flag set
  * Ensure mDNS originated queries are non-blocking
  * Unwind mDNS XFRMixin from NotifyEndpoint and Handler
  * Correct Pool Object
  * Install etc/designate/* files
* Sat Mar 28 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev45:
  * Add API_v2 Adapter Objects
  * Remove usage of relative_path in ValidationError Objects
* Fri Mar 27 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev41:
  * Support mDNS response up to 65k
  * Allow for duplicate domains in different pools
  * Fix handling of wildcards in api / storage
* Thu Mar 26 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev35:
  * forgot missing __init__.py file
  * improving designatedashboard packaging
* Wed Mar 25 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev32:
  * Reduce the # of records loaded by Central.update_status
  * Imported Translations from Transifex
  * Omit deleting zones from mass ns record updates
  * Don't allow updates to zones that are being deleted
* Tue Mar 24 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev24:
  * Fixed misspellings in central
  * Validation Error Middleware does translation of keys to new format
  * Added FloatingIP object to DesignateObjects
  * Imported Translations from Transifex
  * Archive non-pool backends
  * Combine Backend and PoolBackend
  * Refacor function for parsing host:port strings
  * Spelling & formatting doc fixes
  * Updated from global requirements
  * Remove "Including all tenants items" debug log
* Sat Mar 21 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev5:
  * Retry serial number check in one more case
  * Move Pool NS Records to their own table
  * Imported Translations from Transifex
* Fri Mar 20 2015 cloud-devel@suse.de
- Update to version designate-2015.1.0b3:
  2015.1.0b3
  * Imported Translations from Transifex
  * Fix the use of private symbols from oslo.messaging
  * Ensure Quotas can be updated concurrently
  * Only attempt XFR if zone.type is SECONDARY
  * Add Admin API and add extensions
  * Add DESIGNATE_SQL_DEBUG toggle
  * Move the DesignateAdapter to return non-wrapped objects
  * Added ValidationErrorMiddleware
* Thu Mar 19 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev179:
  * Disable tempest in the gate, for now
  * Added Schemas to DesignateObjects
* Wed Mar 18 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev176:
  * Imported Translations from Transifex
  * MDNS part of Secondary zones
  * Support secondary zones
  * Add Tempest zone tests
* Tue Mar 17 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev169:
  * Add iPythonNotebook files to git ignore
  * Implement TSIG Support in mDNS
  * Imported Translations from Transifex
  * Enable Tempest Functional Tests
  * Fix DesignateObjects ListObjectMixin interactions
* Sat Mar 14 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev159:
  * Use the oslo.policy package
  * Smarter Create/Delete in BIND9/Agent
  * Imported Translations from Transifex
  * Send the correct domain object to update_domain
  * Update localrc docs sample
  * Initial Pool API docs
* Fri Mar 13 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev147:
  * Introduce Guru Meditation Reports into Designate
  * Call central's update_status correctly
  * Create DesignateAdapter and surrounding infrastructure
* Wed Mar 11 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev141:
  * Fixed ssl.PROTOCOL_SSLv3 not supported by Python 2.7.9
  * Rename _retrieve_from_cache to _retrieve_statuses
  * Implement Scoped TSIG Key Support
* Tue Mar 10 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev135:
  * Agent configuration and BIND9 improvements
  * Validate SSHFP records
  * Imported Translations from Transifex
  * Updated from global requirements
  * Fix exception handling
  * Add initial code for tempest tests
* Sat Mar  7 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev125:
  * Imported Translations from Transifex
  * Updated from global requirements
  * Service Class Cleanup - Part 3/3
  * Service Class Cleanup - Part 2/3
* Fri Mar  6 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev117:
  * Updated from global requirements
  * devstack/install.sh shouldn't rely on exact paths
  * Add designate-agent to DevStack
  * Updated from global requirements
  * Updated from global requirements
  * Service Class Cleanup - Part 1/3
  * Fixed _is_superdomain check in central
  * Update tests to use Object.from_dict() method
* Wed Mar  4 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev103:
  * Updated from global requirements
  * Imported Translations from Transifex
  * Add Developer Guidelines docs page
* Tue Mar  3 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev98:
  * Imported Translations from Transifex
  * Update default managed_resource_email
  * Sync with oslo-incubator
  * Remove explicit thread-local update in context
  * Add howto for creating PTR records
* Sun Mar  1 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev89:
  * Ensure pool_manager cache keys are strings
  * Remove bulk actions from records page
* Sat Feb 28 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev85:
  * Add python-memcached>=1.48 to requirements.txt
  * Add error state transition for creation of domains
  * Modifications for Resilient Pool Manager Cache
* Thu Feb 26 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev79:
  * Ensure DNSPython modules are imported correctly
  * Imported Translations from Transifex
  * Implement an Object.from_dict() method
* Wed Feb 25 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev74:
  * A small intro to the REST API
  * Updated from global requirements
  * Deprecate designate-sink non managed mode
  * Retry transactions on database deadlocks
  * Correct PoolAttribute module name
  * Set PYTHONDONTWRITEBYTECODE=1 in tox.ini
* Tue Feb 24 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev64:
  * Use fully qualified domain names in the mx record examples
  * Workaround eventlet 0.17's broken monkeypatching
  * Pass SSL CA Cert to client
  * Pass ssl no verify to client
  * Add noop cache support to Pool Manager
  * Add memcache support to Pool Manager
* Sat Feb 21 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev53:
  * Assume a new developer won't create a "designate" user in the dev guide
  * Allow MiniDNS to Send Everything Over TCP
  * Replace nova with designate in pybasedir help
  * Updated from global requirements
* Thu Feb 19 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev46:
  * Get on an abandon zone returns 405
  * Ensure count record/recordsets respect deleted domains
  * Deleting a recordset returns 202
* Tue Feb 17 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev41:
  * Fix up links in Ubuntu Dev Environment
  * Imported Translations from Transifex
  * Update zone status when recordsets are changed
* Sat Feb 14 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev36:
  * Docs: Top level Install Guides section
  * Docs: Automate How To Index
  * Fix Production Arch docs
  * Update Designate Architecture Docs
  * Docs: Howto Create and Manage Domains
  * Added docs env to tox
  * Updated Sample Config and Documentation Page
  * Update Getting Started Guide
  * Doc sprint: Update glossary
  * Doc sprint: Update Getting Involved
* Fri Feb 13 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev17:
  * DevStack: Sync function rename with DevStack
  * Add a new API for abandoning a zone from storage
* Thu Feb 12 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev14:
  * Updated from global requirements
  * Fix a reference link in the doc
* Wed Feb 11 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev11:
  * Return correct response codes for v2 recordset api
* Tue Feb 10 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev10:
  * Doc: fix the designate-manage powerdns sync command
  * Return a status field from the recordsets API
* Mon Feb  9 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev6:
  * Fix some typos in 6 files
  * Nameservers added via /v2/pools are not validated
* Sat Feb  7 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev3:
  * Imported Translations from Transifex
* Fri Feb  6 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev2:
  * Remove dead server code in storage and add tests
  2015.1.0b2
  * Add pretty_tox subunit wrapper
  * Allow Periodic Sync to be restricted to a subset of zones
* Thu Feb  5 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev110:
  * Updated from global requirements
* Wed Jan 28 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev109:
  * Add pool_manager migrate.cfg in MANIFEST.in
  * Updated from global requirements
  * Add a debug tox environment
* Tue Jan 27 2015 tbechtold@suse.com
- Update to version designate-2015.1.dev104:
  * Cleanup use of oslo.messaging's ConfFixture
  * Extract fixtures into their own module
  * Updated from global requirements
  * Agent cleanup/refactoring
  * Imported Translations from Transifex
  * The New Agent
  * Imported Translations from Transifex
  * Refactor RecordSet Relation Loads
  * Move some methods from mdns to dnsutils
  * Fix sink neutron_floatingip handler passing payload
* Fri Jan 23 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev86:
  * Imported Translations from Transifex
  * Ensure Pool Manager Cache is Cleared
* Thu Jan 22 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev83:
  * Switch to oslo.log
  * Imported Translations from Transifex
  * Fix v2 api update_recordset
  * Temporary fix for bad _dispatch() invocation
  * Server Pool Storage Clean Up
* Wed Jan 21 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev73:
  * Call the Correct Pool Manager Instance for the Domain
  * Clean requirements
  * Periodic sync and recover Timers Throw Descriptive Errors
  * Updated from global requirements
  * Imported Translations from Transifex
  * Move PM warning log inside the correct if block
  * Update mDNS to accept server object
  * Pool Manager should reuse the existing threadgroup
* Tue Jan 20 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev59:
  * Pool Manager Throws An Error When No Servers are Defined
  * Add Unit Tests for Pool Manager
* Sat Jan 17 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev55:
  * Ensure Pool Manager Works for Multiple Backend Servers
  * Add more tests to the central service
  * Add more unit tests to mdns service
  * Updated from global requirements
  * Moved to oslo_utils namespace
* Fri Jan 16 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev45:
  * Add more unit tests to Base Object class
  * Add Unit Tests for v2 API Reports
  * PowerDNS Backend Tests
  * Update README.md doc build instructions
* Thu Jan 15 2015 cloud-devel@suse.de
- Update to version designate-2015.1.dev38:
  * Remove dead designate.wsgi
  * Remove dead SQLAlchemy code
  * Add .coveragerc configuration file
  * Update Vagrantfile with new Ubuntu box
  * Moved to oslo_db namespace
  * Imported Translations from Transifex
  * Fix powerdns db table records missing column disabled
  * Switch to oslo_middleware namespace
  * Migrate Server table
* Wed Jan 14 2015 tbechtold@suse.com
- Update to version designate-2015.1.dev21:
  * Imported Translations from Transifex
  * Updated from global requirements
  * Updated from global requirements
  * Allow Domain to Be Created on More Than One Server
  * Better Logging for Pool Manager
  * Separate Periodic Recovery from Periodic Sync
  * Domain Creation Includes Zone Transfer For Proper Status
  * Updated from global requirements
  * Updated from global requirements
  * Pool_Attribute Storage Tests
  * Change SLA check for Designate
  * Adds negative unittests to test_domains.py and test_records.py
  * Adds negative tests to test_records.py
  * Imported Translations from Transifex
  2015.1.0b1
  * Remove duplicate fields from ZoneTransferRequest object
  * Documentation, comments, and extraneous code fixes
  * Post-pool merge cleanup
  * Adds negative tests to test_records.py
  * Imported Translations from Transifex
  * Added smart update of Records Objects in v2
  * Fixed the syntax of obj_reset_changes in SQLA
  * Pool Manager Integration with Central
  * Remove the agent service and old-style backend tests
  * Remove the non-pools bind9 backend
* Tue Dec 16 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev165.gc170889:
  * Changed oslo.messaging's default log level
  * Convert PowerDNS to a Pools Backend
  * Pools Config Changes
  * Add Werkzeug>=0.7 to requirements.txt
  * Adds "domain-servers-list" to test_domains.py
  * Cleanup validation regex's
* Fri Dec 12 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev154.ge0b6840:
  * Adds negative tests to test_servers.py
  * Updated from global requirements
  * Imported Translations from Transifex
  * Standardize creation of rpcapi client instances
* Thu Dec 11 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev147.ge7b06b2:
  * Switch to oslo.context and sync from incubator
  * rename oslo.concurrency to oslo_concurrency
  * Added designate-dashboard code to contrib/designate-dashboard
* Wed Dec 10 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev141.g22ca619:
  * Updated from global requirements
* Tue Dec  9 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev140.gd9cbc1f:
  * Add DynECT DevStack plugin
  * Add bashate tox env for DevStack plugin
* Mon Dec  8 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev136.gc3a5c7e:
  * Updated from global requirements
  * Imported Translations from Transifex
* Sun Dec  7 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev132.g473df2b:
  * Workflow documentation is now in infra-manual
* Sat Dec  6 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev130.ga3c796a:
  * Updated from global requirements
* Fri Dec  5 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev129.g37559c8:
  * Handle multi-packet TCP queries
* Thu Dec  4 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev128.g1ca524d:
  * Allow DevStack to retry DNS queries to handle async CRUD
  * Handle priority the same way as when create_record
  * Correct RRSet delete notification
  * Pool Manager
  * Add metadata, totalcount fields to zones/recordsets collections
* Wed Dec  3 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev119.geb2669e:
  * Add docs for MX, SSHFP, SPF and SRV record set types
* Tue Dec  2 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev118.g450665c:
  * Update DevStack PORT vars for naming consistency
  * Update gate_hook to support multiple drivers
* Wed Nov 26 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev115.g4c92187:
  * Rename rally-scenarios/ to rally-jobs/
  * Support Nested/Recursive Object Validations
* Tue Nov 25 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev112.g5819bb2:
  * Imported Translations from Transifex
  * Updated from global requirements
* Fri Nov 21 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev109.g0abf05b:
  * Added functionality to allow for zone ownership transfers
  * Updated from global requirements
* Thu Nov 20 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev106.geb04d93:
  * Add Rally to Vagrant VM
  * Move Central notifications to a decorator
  * Add a reverse name columns to domains/recordsets
  * Updated from global requirements
  * Fix rally job readme file
  * Add synchronized_domain decorator
  * Add some helpful SQL indices
  * Return the correct RRSet object in Central.create_recordset
  * Updated from global requirements
  * Detect CPU on OSX as well
  * Fix rally gates
  * Can't Access Default Pool through API
* Sat Nov 15 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev88.g3bafb38:
  * Add tox check for missing pip requirements
  * Add rally job related files
  * Updated from global requirements
* Fri Nov 14 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev83.gc4b1f4b:
  * Add basic validation functionality to DesignateObjects
  * Updated from global requirements
  * Move import code to dnsutils
* Thu Nov 13 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev77.g8dbaccc:
  * Add a new field type 'relation' to objects
  * Imported Translations from Transifex
  * Missing Unique Constraint on Pool Attributes table
  * Pool Manager - Pool Manager Proxy Backend and Devstack
* Wed Nov 12 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev70.gb1823b9:
  * Add ability to configure extensions via local.conf
  * Move from incubator to o.concurrency
  * Add Symantec's nova and neutron plugins to docs
* Tue Nov 11 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev65.g5bea592:
  * Fixed API v1 issue with horizon
* Mon Nov 10 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev64.g47048a4:
  * Add pool_id column to Domains Table
  * Imported Translations from Transifex
* Sat Nov  8 2014 dmueller@suse.com
- Update to version designate-2015.1.dev61.g1deb766:
  * Pool Manager - Central/Storage Changes
  * Pool Manager - BIND9 Pool Backend Driver Fixes
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Support for server pools in minidns
  * Initial documentation for v2 API record sets
  * Move rec.priority into rec.data
  * Imported Translations from Transifex
  * API for pools
  * Server Pools Storage
  * Updated from global requirements
  * Pool Manager Service Changes
  * Implement a DesignateObject Registry
* Mon Oct 27 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev40.gec56423:
  * Updated from global requirements
  * Ensure version column is correctly incremented
  * Updated from global requirements
  * Updated from global requirements
  * Correct int datatypes during zone import
  * Enforce all Object attributes are private or well defined
  * Reduce SQLAlchemy loglevel during tests
  * Support filtering on Zone/RecordSet status
* Thu Oct 16 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev28.gc93a2ef:
  * Add a UUID Schema format checker
  * Convert Object FIELDS from list to dict
* Wed Oct 15 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev25.g4b3443e:
  * Updated from global requirements
* Tue Oct 14 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev24.gc7dd79f:
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Updated from global requirements
* Sat Oct 11 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev20.g74817f9:
  * Add a new PowerDNS backend based on MiniDNS
* Fri Oct 10 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev19.gc1364da:
  * Ensure mDNS sends NOTIFYs on all zone changes
  * PowerDNS schema should cascade domain deletes
  * Add Jinja2 to requirements.txt
  * Switch to oslo.middleware and remove deprecated incubator
  * Sync oslo-incubator and remove json|str utils
  * Fixes missing Module Index in Sphinx-build
* Tue Oct  7 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev11.gfa31adf:
  * Imported Translations from Transifex
  * Fixes minor errors and warning in Sphinx build
* Sat Oct  4 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev8.g4ef8562:
  * Multi backend attepts to read a deleted domain
* Wed Oct  1 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev6.gb78b445:
  * Bind a random port for MDNS tests
  * Use devstack's new way of doing things
* Mon Sep 29 2014 cloud-devel@suse.de
- Update to version designate-2015.1.dev2.ge9d3588:
  * Open Kilo development
  2014.2.rc1
* Sat Sep 27 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev77.gdf4284a:
  * Updated from global requirements
* Fri Sep 26 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev75.g18f1273:
  * Notif handlers:remove double check of event type
* Thu Sep 25 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev73.g54482e6:
  * Make use of SQLA Core in PowerDNS
  * Prevent update/delete of managed records in v1 API
  * Fixes docstring typos
* Thu Sep 25 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev68.g9abc87a:
  * Updated from global requirements
* Wed Sep 24 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev67.g8817b20:
  * Imported Translations from Transifex
  * Missing Tests for Blacklist storage layer methods
* Tue Sep 23 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev64.g22436ff:
  * Fix example response for reports/tenant
  * Update oslosphinx requirement
  * Fix issues with timeout and if a domain exists
  * Add v1 missing api docs
  * Backends need to implement c/u/d_recordset
  * Updated from global requirements
  * Missing tests for TLD storage layer methods
  * Updating README
  * Removing *.shapes files from Desginate diagrams
  * Add png for `Designate-PowerDNS-Detail`
  * Adding Dia file for `Designate-PowerDNS-Detail`
  * Adding Dia file for `Designate-MultiZone`
  * Adding Dia file for `Designate-Simple`
  * Correct Vagrant+DevStack paths
  * Use non-deprecated notification_driver
* Fri Sep 19 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev34.gac2a261:
  * Downgrade in 039 does not delete NS recordsets
* Wed Sep 17 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev32.g69f8b3e:
  * Bind9 zone file should end with a new line
* Tue Sep 16 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev30.gadb46ab:
  * Split Vagrant out of contrib/devstack
  * Fixed the logging of powerdns metadata addition / removals
* Sun Sep 14 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev27.g981a132:
  * Fix warnings made by keystone_authtoken
* Sat Sep 13 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev25.ga25a6a9:
  * Updated from global requirements
* Fri Sep 12 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev24.g554a4a1:
  * Devstack Integration : Coding style fix
  * Getting deleted recordsets returns a 404
* Thu Sep 11 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev21.g8f78272:
  * Devstack setup : use get_or_create_* helpers
  * Updated from global requirements
  * Add index on powerdns.records.designate_record_id
* Wed Sep 10 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev15.g8d9bc0d:
  * Updated from global requirements
  * _find_recordsets returns active recordsets only
  * Ensure designate-api has policy initialized
  * Ensure designate-sink has policy initialized
  * Rollback master backend on all exceptions in multi backend
  * Delete SOA records correctly on a downgrade
  * Call _handle_query_error correctly
  * Updated from global requirements
* Thu Sep  4 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev1.gf254a81:
  * Update README.md doc links
  2014.2.b3
* Thu Sep  4 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev85.g1852ba7:
  * warn against sorting requirements
  * Creating a Recordset doesn't increment the serial number
  * Support the same api versions format as keystone
  * Imported Translations from Transifex
* Wed Sep  3 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev78.g9392e91:
  * Fixed policy loading in agent service
  * Squash Icehouse DB Migrations
* Tue Sep  2 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev74.ga3eb2f5:
  * Imported Translations from Transifex
  * Received notifications context is not a DesignateContext
* Tue Sep  2 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev71.gb954e65:
  * Implement mDNS Middleware
  * Move DNS packet serialization into mDNS service
  * Update default notification-topics for nova/neutron
  * Add support for AXFR requests
  * Expose SOA and NS records
  * Updated from global requirements
* Sun Aug 31 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev62.gd3bed02:
  * Fix get_record_id to return only the requested id
  * Fix DevStack xtrace output
* Mon Aug 25 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev59.gf277afc:
  * Updated from global requirements
* Thu Aug 21 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev58.g713a25d:
  * Updated from global requirements
* Tue Aug 19 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev57.g9048f98:
  * Imported Translations from Transifex
* Tue Aug 19 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev56.g6ffbc75:
  * Migrate to SQLAlchemy Core
* Sat Aug 16 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev54.g4488868:
  * Add two more hacking checks
* Thu Aug 14 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev52.gec93a97:
  * Validate that no parent zones are created in another tenant
  * Issue one SQL statement per execute() call
  * Added policy checking for all all_tenent=True contexts
  * Ensure Object change lists are sorted during to_primitive
* Wed Aug 13 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev45.g5118c0f:
  * Updated from global requirements
  * Reimplement Filtering by Record Data
  * API v1 for creating domains ignore some attributes now
* Tue Aug 12 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev39.g5902785:
  * Imported Translations from Transifex
  * V2 Report Uses 'Domains'
* Mon Aug 11 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev36.gf7e8558:
  * Designate API tests for Tempest Framework
  * Add instructions on installing Designate with MySQL backend
  * Remove the Priority Field in V2
* Fri Aug  1 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev30.g5863baf:
  * Fixes a typo in the binary name for test's service fixture
  * Add proxy support to dynect client
  * Update testr config for better logging
* Mon Jul 28 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev24.g4c227c3:
  * Imported Translations from Transifex
  * Remove obsolete methods from Storage
  * Empty RecordSets can be re-provisioned
  * Install only the necessary files during a DevStack gate run
  * devstack exercise for deletion, dns checking
  * Imported Translations from Transifex
  * Moved the thread storage to a per instance level, vs global
* Fri Jul 25 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev11.gc1c0191:
  * Set python hash seed to 0 in tox.ini
  * Add quotas documentation
  * Switchover to oslo.i18n package
  2014.2.b2
* Thu Jul 24 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev270.g9a5baa8:
  * Update from oslo-incubator
  * Use auth_token from keystonemiddleware
  * Move oslotest into test-requirements.txt
* Thu Jul 24 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev265.gb26f35d:
  * Imported Translations from Transifex
* Tue Jul 22 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev264.gbf11539:
  * Updated from global requirements
  * Add a minimal gate_hook.sh script
* Mon Jul 21 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev261.g13fbf00:
  * Revert o.m and o.c 1.4.0 alpha updates
  * Moved v2 API errors to separate controller
  * Enable X-Auth-Project flag in HTTP headers
  * Cleaning up index.rst file
  * Handle tcp requests correctly in mdns
* Sat Jul 19 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev251.g6e88f6a:
  * Imported Translations from Transifex
  * Modify Recordset API
* Fri Jul 18 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev249.g0a6ad8f:
  * Clear out junk from Vagrant+DevStack configs
  * Correct JSON Syntax is v2 Collections Docs
  * Ensure o.c.local is populated with the current Context
  * DevStack: Enable V2 API
  * DevStack: Correct the key's passed to setup_colorized_logging
  * Add docs for links, pagination, filtering
* Thu Jul 17 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev238.g2bb7f35:
  * PowerDNS: Ensure each greenthread uses it's own Session instance
  * Ensure eventlet monkey patching happens as early as possible
  * Attach records to RecordSet objects
  * Ensure each greenthread uses it's own Session instance
* Thu Jul 17 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev231.gee95138:
  * Enable hacking check H104
  * Add validate_log_translations flake8 check
  * Imported Translations from Transifex
  * Avoid logging "Expected" exceptions returned over RPC
  * Fixed issue with elevated contexts modifying the original context
  * Imported Translations from Transifex
  * Port Report Extensions from v1 to v2
  * Added proper handling for 405 errors
  * Fixed D701 Hacking check
  * Implement a ListObjectMixin class
  * Implement equality methods on DesignateObject
  * Updated from global requirements
  * Answer dns record queries
  * Iterator methods should be on DictObjectMixin
  * Added oslosphinx theme & enabled the incubating theme
* Fri Jul 11 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev205.gec7ae34:
  * Enabled hacking check H401
  * Update's should use objects
  * Provide a standard method for populating an object from a model
  * Expand Zones Documentation
* Tue Jul  8 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev198.g4589f60:
  * Don't create new objects when doing a create_*
* Mon Jul  7 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev196.g5fc69e5:
  * Updated from global requirements
  * Track the original/persisted values in Objects
  * Setup for translation
* Sun Jul  6 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev190.gf0e8836:
  * Object fields should not be marked changed if the value has not changed
  * Ensure RPC serializes all types to primitives
* Fri Jul  4 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev188.g0c97ac1:
  * Implement DesignateObject.__deepcopy__
  * Change API filter wildcard from '%%' to '*'
  * Ensure we always accept trailing /'s in URLs
* Wed Jul  2 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev182.gde900cd:
  * Ensure contrib/devstack/install.sh works from any path
  * Updated from global requirements
* Tue Jul  1 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev179.gb5248fa:
  * Updated from global requirements
  * Change logging level AUDIT to INFO
* Mon Jun 30 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev177.g3606016:
  * Ensure DesignateObject.from_sqla does not trigger change tracking
  * Update stackforge references to openstack
  * Support recursive object serialization
  * Specify minimum and maximum correctly in schemas
* Sat Jun 28 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev170.gfeec94d:
  * Revert "Added olso sphinx, and enabled it for building docs"
  * Update .gitreview for repository move
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev167.g145b99d:
  * Add Extensions to the v2 API
  * Added olso sphinx, and enabled it for building docs
* Thu Jun 26 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev163.g7817c82:
  * Don't monkeypatch pecan.core.Request in newer versions of pecan
  * mdns: Add support for NOTIFY's
* Wed Jun 25 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev160.ged6891d:
  * Ensure that 404's are returned as JSON
  * Remove the StorageAPI class
* Tue Jun 24 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev156.g0f05754:
  * Implement change tracking in DesignateObjects
  * Change log string format to '%%' for consistency
  * Objects should have a concrete list of their fields
  * Added all fields to limits endpoint, and corrected casing
  * Fixes default content type on /v2/zones endpoint
  * Unify Storage vs Rest of World fixture creation
  * Switch to oslo.db and fix cmd.manage
* Sat Jun 21 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev143.gcb6c463:
  * Added *.sqlite3 to gitignore
  * Switch to oslotest library
* Fri Jun 20 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev140.gce43efc:
  * Indent lines for readability
  * Sync with global-requirements
* Thu Jun 19 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev137.g9652665:
  * Finalize tox.ini codes
  * Fix style errors H305 and H307
  * Fix style error E265
  * Fix style error E251
  * Fix style error E111
  * Fix style error H236
  * Update hacking package, fix I18n style issues
  * DevStack: Additional exercises for records and domain-servers-list
* Wed Jun 18 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev127.g8d36407:
  * Sync in o.middleware and replace our own
* Tue Jun 17 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev125.gee45227:
  * DevStack: PowerDNS and Bind9 should listen on SERVICE_HOST
  * DevStack: Fix Bind9 Apparmor profile
* Sat Jun 14 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev121.gabd5fc9:
  * Change log statements to meet I18n guidelines
  * Sync test-requirements with global-requirements
* Tue Jun 10 2014 dmueller@suse.com
- Update to version designate-2014.2.dev118.gd9b1542:
  * DevStack/Vagrant: Specify the minimum supported Vagrant version
  * DevStack Gate: Enable Designate exercises
  * DevStack: Sync up our logging options
  * DevStack: Sync up our service startup commands
  * DevStack/Vagrant: Set # of CPU's to # of physical cores
  * DevStack/Vagrant: Don't configure LOGFILE by default
  * DevStack: Support configuring bind host/port
  * DevStack: Migrate from keystone CLI to OpenStack CLI
  * DevStack: Support PowerDNS on Fedora
  * DevStack: Support devstack with bind9 backend on Fedora
  * DevStack: Split backends out into plugins
  * DevStack: Use a timeout rather than hard sleep
  * DevStack: Support running with bind9 as non-root user
  * DevStack: Default to PowerDNS rather than the fake backend
  * DevStack: Ensure PowerDNS is configured correctly
  * Add DevStack Vagrantfile
  * Partial sync with global-requirements
  * Add pre/post dsvm test hooks
  * Implement mDNS Service
  * API now passes objects to central
* Sat Jun  7 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev89.ga2f1e3b:
  * Added detection of powerdns package name to devstack script
  * Wait a little after starting Designate
  * Revert "add sink support to designate devstack"
  * Bug #1261894: Deleting Record With BIND 9 Driver Fails
  * Ensure we configure all keystone middleware options
  * Ensure our DevStack plugin cleans up services it starts
  * Switch stop_designate to use screen_stop rather than `kill`
  * Ensure designte-sink does not exit when no handlers are enabled
* Thu Jun  5 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev75.g2dcab49:
  * Ability to pass along multiple endpoints
* Tue Jun  3 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev73.gffb4f0f:
  * Fix FreeIPA tests mock's
  * Adding custom flake8 check for mutable default arguments
* Thu May 29 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev70.g68728c0:
  * DynECT backend exceptions should be added to allowed exmods
  * Create missing domains during Bind9Backend start
  * Update DevStack docs for the contrib/devstack plugin
* Mon May 26 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev65.g884ccfe:
  * set default auth_strategy to keystone
  * add support for FreeIPA backend - phase 6 - devstack
* Sat May 24 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev61.g96eb8a6:
  * Correct DESIGNATE_TEST_NSREC default value
* Fri May 23 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev60.g44701d7:
  * add support for FreeIPA backend - phase 5 - requirements
  * add support for FreeIPA backend - phase 4 - migration
* Thu May 22 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev56.gc7a643b:
  * Correct typo in DynECT backend
  * add support for FreeIPA backend - phase 3 - live tests
  * add sink support to designate devstack
* Thu May 15 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev50.g02d6773:
  * add support for FreeIPA backend - phase 2 - tests
  * add support for FreeIPA backend - phase 1
* Sat May 10 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev46.g49277a8:
  * Allow Roles to be Passed When Using Noauth Middleware
* Fri May  9 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev45.g2b7bba9:
  * Ensure objects are passed over RPC
* Thu May  8 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev43.gb95fbbb:
  * Update oslo.policy
* Mon May  5 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev41.g458e9db:
  * only call sink handlers for supported event types
* Thu May  1 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev40.gfeba68d:
  * Ignore 404 on deletion
  * Remove redundant setup.cfg entry points
  * sink crashes due to a missing _get_handler_event_types
* Wed Apr 30 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev34.g44af1e3:
  * Print versions
  * Raise correct exception on blocked operation
* Tue Apr 29 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev30.ga027af9:
  * Correct DynECT backend config option types
  * Fixed the self link returned for floating IPs
  * Update Record object with structured RRdata
  * DynECT support
  2014.1
* Fri Apr 25 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev23.ga9b41b8:
  * Post oslo.messaging fixes
* Tue Apr 22 2014 dmueller@suse.com
- Update to version designate-2014.2.dev22.g96545da:
  * Remove leftover bin/* files
  * Set a Configurable Minimum TTL
* Wed Apr 16 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev18.ga7f1270:
  * Allow targeting of specific agent
* Tue Apr 15 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev17.g5d8e224:
  * Update Storage layer to return objects
* Sun Apr 13 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev16.g2193feb:
  * Update install_venv from Oslo
  * Sync with openstack/oslo-incubator
  * Sync with openstack/requirements
* Sat Apr 12 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev11.g1b08ed5:
  * Sync up openstack-common.conf
* Fri Apr 11 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev10.g0d3a442:
  * Switch to oslo.messaging
* Sat Apr  5 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev9.g2d864e1:
  * WIP - Implement Capture the Notification Context in Designate Sink
* Fri Apr  4 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev7.g06e9791:
  * v1 api does not allow priority of 0
* Thu Apr  3 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev6.g45def2a:
  * Sync requirements with openstack/requirements
* Wed Apr  2 2014 cloud-devel@suse.de
- Update to version designate-2014.2.dev5.g2201009:
  * Open Juno development
  2014.1.rc1
  * Remove designate-manage dependancy on cliff
  * Fix sync functionality in V1 / central
* Sat Mar 29 2014 cloud-devel@suse.de
- Update to version designate-2014.1.dev6.g2445db4:
  * Read the Docs needs a single requirements file
  * Provide a production like guide for Ubuntu
* Wed Mar 19 2014 cloud-devel@suse.de
- Update to version designate-2014.1.dev3.g955e2df:
  * Blacklists API Documentation
  * Document the PowerDNS backend
  2014.1.b3
* Fri Mar 14 2014 cloud-devel@suse.de
- Update to version designate-2014.1.dev35.g1fe5823:
  * Ensure that request body in v2 contains valid fields
  * Remove JSONSchema 1.3 compatibility code
* Thu Mar 13 2014 cloud-devel@suse.de
- Update to version designate-2014.1.dev32.g5e7da3e:
  * Support more record types
  * create_server fails if server is not unique
* Mon Mar 10 2014 cloud-devel@suse.de
- Update to version designate-2014.1.dev29.g42c3d4a:
  * Sync with global-requirements repo
  * V2 API zone import/export documentation
  * Return 404 for empty parameters in URLs
  * Ensure that URL is valid while validating UUID
  * Return 400 for invalid Json for api v2
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version designate-2014.1.dev20.g120191f:
  * Introduce nameservers endpoint for zones
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version designate-2014.1.dev18.g57d24f3:
  * Ensure Storage Implementions match the Interface
* Wed Mar  5 2014 cloud-devel@suse.de
- Update to version designate-2014.1.dev16.gbd9ae5a:
  * Standardize doc requirements
  * Ensure that wanted API calls returns exceptions
  * Fill in missing Records tests for V2 api
  * UUID changes to api / utils
* Sat Mar  1 2014 cloud-devel@suse.de
- Update to version designate-2014.1.dev11.gc44b8f8:
  * Remove use of uuidutils.generate_uuid
* Thu Feb 27 2014 cloud-devel@suse.de
- Update to version designate-2014.1.dev10.g52a16fb:
  * Fixes filtering in delete and update in PowerDNS
* Wed Feb 26 2014 cloud-devel@suse.de
- Update to version designate-2014.1.dev8.gc053717:
  * Register as a endpoint without version
* Tue Feb 25 2014 cloud-devel@suse.de
- Update to version designate-2014.1.dev7.g0eea1cd:
  * Handle invalid pagination parameters
  * Add the handler plugin example to the contrib folder
  * Add Bind9 Support to the DevStack Plugin
* Fri Feb 21 2014 cloud-devel@suse.de
- Update to version designate-2014.1.dev1.g517ec95:
  * Correct misspelled words
  2014.1.b2
  * DevStack: Set the correct state_path
  * Disabled paging by default
  * Don't install designate packages twice with Devstack
  * Add support for paging in V2 api for collections
  * Add RMQ+Other options to sample config
  * Switch to oslo.rootwrap
  * Sync with oslo-incubator 9a7f2f85
  * Sync with global-requirements
  * Add paging to Central rpcapi and service
  * Adds support for paging in the storage layer
  * Ensure default DB connection strings use unique defaults
* Thu Feb 20 2014 cloud-devel@suse.de
- Update to version designate-2014.1.dev117.g7d5da0d:
  * Blacklists mysql error
  * Shouldn't pass items to get_collection_href here
  * Fix arguments in get_collection_href
  * Default state-path to /var/lib/designate
* Tue Feb 18 2014 cloud-devel@suse.de
- Update to version designate-2014.1.dev112.g07d51ab:
  * Adds a setting for the location of the nzf files
  * Stop abusing state_path in find_config
  * Add a new ExtensionPlugin class
  * Add Unit Tests for Blacklists V2
  * provide designate getting started instructions for Fedora 19
* Sun Feb 16 2014 cloud-devel@suse.de
- Update to version designate-2014.1.dev104.g026bd5a:
  * Update notification_driver documentation
* Wed Feb 12 2014 speilicke@suse.com
- Update to version designate-2014.1.dev103.g58b745c:
  * Prevent Schema regex's from capturing input
* Wed Jul 17 2013 speilicke@suse.com
- Initial version
